<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module CC
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdoccc.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc CC V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ENTITY % omdoccc.permissions.qname  "%omdoccc.pfx;permissions">
<!ENTITY % omdoccc.prohibitions.qname  "%omdoccc.pfx;prohibitions">
<!ENTITY % omdoccc.requirements.qname  "%omdoccc.pfx;requirements">

<!ENTITY % omdoccc.ns.decl "xmlns %anyURI; #FIXED '%omdoccc.xmlns;'">

<!ENTITY % iana.tld "(ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|ax|az|
                      ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|
                      ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cs|cu|cv|cx|cy|cz|
                      de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|fi|fj|fk|fm|fo|fr|
                      ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|
                      hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|
                      ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|
                      ma|mc|md|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|
                      na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|
                      pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|ru|rw|
                      sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|sv|sy|sz|
                      tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|
                      ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)">


<!ELEMENT %omdoccc.license.qname; ((%ss;|%omdoccc.permissions.qname;),
                                   (%ss;|%omdoccc.prohibitions.qname;),
                                   (%ss;|%omdoccc.requirements.qname;))>
<!ATTLIST %omdoccc.license.qname; %omdoccc.nsp.decl; 
                                  jurisdiction %iana.tld; #IMPLIED
                                  version CDATA #IMPLIED>

<!ELEMENT %omdoccc.permissions.qname; EMPTY>
<!ATTLIST %omdoccc.permissions.qname; 
          %omdoccc.ns.decl;
          reproduction (permitted|prohibited) "permitted" 
	  distribution (permitted|prohibited) "permitted" 
          derivative_works (permitted|prohibited) "permitted">

<!ELEMENT %omdoccc.prohibitions.qname; EMPTY>
<!ATTLIST %omdoccc.prohibitions.qname; 
          %omdoccc.ns.decl;
          commercial_use (prohibited|permitted) "permitted">

<!ELEMENT %omdoccc.requirements.qname; EMPTY>
<!ATTLIST %omdoccc.requirements.qname; 
	  %omdoccc.ns.decl;
	  notice (required|not_required) "required"
          attribution (required|not_required) "required"
          copyleft (required|not_required) "required">
