<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module DC 
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdocdc.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc DC V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->


<!-- Persons in Dublin Core Metadata -->
<!ENTITY % omdocdc.person.content "(#PCDATA%omdocmtxt.style.extra;)*">
<!-- the date format in Dublin Core -->
<!ENTITY % omdocdc.date.content "(#PCDATA)">
<!-- the identifier format for Dublin Core -->
<!ENTITY % omdocdc.ident.content "(#PCDATA)">
<!-- the rest of Dublin Core content -->
<!ENTITY % omdocdc.rest.content "ANY">


<!ENTITY % dcns "xmlns %anyURI; #FIXED 'http://purl.org/dc/elements/1.1/'">
<!ENTITY % dcidi "%dcns; %id.attrib;">

<!-- the MARC relator set; see http://www.loc.gov/marc/relators -->
<!ENTITY % omdocdc.marc.value 
           "act|adp|aft|ann|ant|app|aqt|arc|arr|art|asg|asn|att|auc|aud|aui|aus|aut
           |bdd|bjd|bkd|bkp|bnd|bpd|bsl|ccp|chr|clb|cli|cll|clt|cmm|cmp|cmt|cnd|cns|coe
           |col|com|cos|cot|cov|cpc|cpe|cph|cpl|cpt|cre|crp|crr|csl|csp|cst|ctb|cte|ctg
           |ctr|cts|ctt|cur|cwt|dfd|dfe|dft|dgg|dis|dln|dnc|dnr|dpc|dpt|drm|drt|dsr|dst
           |dte|dto|dub|edt|egr|elt|eng|etr|exp|fac|flm|fmo|fnd|fpy|frg|hnr|hst|ill|ilu
           |ins|inv|itr|ive|ivr|lbt|lee|lel|len|let|lie|lil|lit|lsa|lse|lso|ltg|lyr|mdc
           |mod|mon|mrk|mte|mus|nrt|opn|org|orm|oth|own|pat|pbd|pbl|pfr|pht|plt|pop|ppm
           |prc|prd|prf|prg|prm|pro|prt|pta|pte|ptf|pth|ptt|rbr|rce|rcp|red|ren|res|rev
           |rpt|rpy|rse|rsp|rst|rth|rtm|sad|sce|scl|scr|sec|sgn|sng|spk|spn|spy|srv|stl
           |stn|str|ths|trc|trl|tyd|tyg|voc|wam|wdc|wde|wit">

<!ENTITY % dcrole "%dcidi;  %xml.lang.attrib;
           role (%omdocdc.marc.value;) #IMPLIED">
<!ENTITY % dclang "%dcidi; %xml.lang.attrib;">

<!-- first the Dublin Core Metadata model of the
     Dublin Metadata initiative (http://purl.org/dc) -->

<!ELEMENT %omdocdc.contributor.qname; %omdocdc.person.content;>
<!ATTLIST %omdocdc.contributor.qname; %dcrole;>

<!ELEMENT %omdocdc.creator.qname; %omdocdc.person.content;>
<!ATTLIST %omdocdc.creator.qname; %dcrole;>

<!ELEMENT %omdocdc.title.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocdc.title.qname; %dclang;>

<!ELEMENT %omdocdc.subject.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocdc.subject.qname; %dclang;>

<!ELEMENT %omdocdc.description.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocdc.description.qname; %dclang;>

<!ELEMENT %omdocdc.publisher.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.publisher.qname; %dcidi;>

<!ELEMENT %omdocdc.type.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.type.qname; %dcns;>

<!ELEMENT %omdocdc.format.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.format.qname; %dcns;>

<!ELEMENT %omdocdc.source.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.source.qname; %dcns;>

<!ELEMENT %omdocdc.language.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.language.qname; %dcns;>

<!ELEMENT %omdocdc.relation.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.relation.qname; %dcns;>

<!ELEMENT %omdocdc.rights.qname; %omdocdc.rest.content;>
<!ATTLIST %omdocdc.rights.qname; %dcns;>

<!ELEMENT %omdocdc.date.qname; %omdocdc.date.content;>
<!ATTLIST %omdocdc.date.qname; 
          %dcns; 
          action NMTOKEN #IMPLIED 
	  who %omdocref; #IMPLIED>

<!ELEMENT %omdocdc.identifier.qname; %omdocdc.ident.content;>
<!ATTLIST %omdocdc.identifier.qname; %dcns; scheme NMTOKEN "ISBN">



