<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module DOC
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdocdoc.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc DOC V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!-- qnames for omdoc infrastructure  elements -->
<!ENTITY % omdocdoc.loc.qname "%omdoc.pfx;loc">

<!ELEMENT %omdocdoc.catalogue.qname; (%omdocdoc.loc.qname;)*>
<!ATTLIST %omdocdoc.catalogue.qname; 
          %omdoc.common.attribs;>

<!ELEMENT %omdocdoc.loc.qname; EMPTY>
<!ATTLIST %omdocdoc.loc.qname; 
          %omdoc.common.attribs; 
          theory NMTOKEN #REQUIRED
          omdoc %omdocref; #IMPLIED
          cd %anyURI; #IMPLIED>
<!-- omdoc attributes omdoc and cd are URIRefs pointing to the omdoc 
     and/or the OpenMath content dictionary defining this theory -->

<!ELEMENT %omdocdoc.metadata.qname; %omdocdoc.metadata.content;>
<!ATTLIST %omdocdoc.metadata.qname; 
          %omdoc.common.attribs; 
          %id.attrib; 
          inherits %omdocref; #IMPLIED>

<!-- this element can be used in lieu of a comment, it is read 
     by the style sheet, (comments are not) and can therefore 
     be transformed by them -->
<!ELEMENT %omdocdoc.ignore.qname; ANY>
<!ATTLIST %omdocdoc.ignore.qname; 
          %omdoc.common.attribs; 
          type CDATA #IMPLIED
          comment CDATA #IMPLIED>

<!-- co-referencing  allows to use elements with an 
     'id' attribute multiple times -->
<!ELEMENT %omdocdoc.ref.qname; EMPTY>
<!ATTLIST %omdocdoc.ref.qname;
          %omdoc.common.attribs; 
          %id.attrib;
	  %xref.attrib;
  	  type NMTOKEN "include">
<!-- the types supported (there may be more over time) are 
     - 'include' (the default) for in-text replacement 
     - 'cite' for a reference with a generated label -->

<!ENTITY % group.attribs "%omdoc.common.attribs; 
                          %omdoc.toplevel.attribs;        
			  modules CDATA #IMPLIED
                          type %anyURI; #IMPLIED
	                  catalogue %omdocref; #IMPLIED">

<!ENTITY % group.elts "(%omdocdoc.meta.content;%omdocdoc.catalogue.qname;?,(%omdoc.class;)*)">

<!-- grouping defines the structure of a document-->
<!ELEMENT %omdocdoc.omgroup.qname; %group.elts;>
<!ATTLIST %omdocdoc.omgroup.qname; %group.attribs;>

<!-- finally the definition of the OMDoc root element -->
<!ENTITY % omdoc.omdoc.qname "%omdoc.pfx;omdoc">
<!ELEMENT %omdoc.omdoc.qname; %group.elts;>
<!ATTLIST %omdoc.omdoc.qname; %group.attribs; version CDATA #FIXED "1.2">

