<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module EXT
      SYSTEM http://www.mathweb.org/omdoc/dtd/omdocext.mod
      PUBLIC -//OMDoc//ELEMENTS OMDoc EXT V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ENTITY % omdocext.input.qname "%omdoc.pfx;input">
<!ENTITY % omdocext.output.qname "%omdoc.pfx;output">
<!ENTITY % omdocext.effect.qname "%omdoc.pfx;effect">
<!ENTITY % omdocext.data.qname "%omdoc.pfx;data">
<!ENTITY % omdocext.param.qname "%omdoc.pfx;param">

<!ENTITY % omdocext.private.attrib "%fori.attrib; requires %omdocref; #IMPLIED">

<!ENTITY % omdocext.private.content 
           "%omdocdoc.meta.content;(%ss;|%omdocext.data.qname;)+">
<!ELEMENT %omdocext.private.qname; (%omdocext.private.content;)>
<!ATTLIST %omdocext.private.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %omdocext.private.attrib;
          reformulates %omdocref; #IMPLIED>
<!-- 'replaces is a URIref to the omdoc elements that are replaced by the 
     system-specific information in this element -->

<!ENTITY % omdocext.code.content
           "%omdocext.private.content;,
            (%omdocext.input.qname;)?,
            (%omdocext.output.qname;)?,
            (%omdocext.effect.qname;)?">

<!ELEMENT %omdocext.code.qname; (%omdocext.code.content;)>
<!ATTLIST %omdocext.code.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %omdocext.private.attrib;>

<!ELEMENT %omdocext.input.qname; (%omdocmtxt.MCF.content;)>
<!ATTLIST %omdocext.input.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>

<!ELEMENT %omdocext.output.qname; (%omdocmtxt.MCF.content;)>
<!ATTLIST %omdocext.output.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>

<!ELEMENT %omdocext.effect.qname; (%omdocmtxt.MCF.content;)>
<!ATTLIST %omdocext.effect.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>

<!ENTITY % omdocext.data.attrib
              "format CDATA #IMPLIED
               href %anyURI; #IMPLIED
               size CDATA #IMPLIED
               pto CDATA #IMPLIED
               pto-version CDATA #IMPLIED
	       original (local|external) #IMPLIED">

<!ELEMENT %omdocext.data.qname; ANY>
<!ATTLIST %omdocext.data.qname; 
          %omdoc.common.attribs;  
          %omdocext.data.attrib;>

<!ELEMENT %omdocext.omlet.qname;  
	  (%omdoc.mtext.content;|%omdocext.param.qname;)*>
<!ATTLIST %omdocext.omlet.qname; 
          %omdoc.common.attribs; 
          %id.attrib;
	  action (display|execute|other) #IMPLIED
	  show (new|replace|embed|other) #IMPLIED
	  actuate (onPresent|onLoad|onRequest|other) #IMPLIED
          data %anyURI;  #REQUIRED>

<!ELEMENT %omdocext.param.qname;  (%omdocmobj.class;)*>
<!ATTLIST %omdocext.param.qname; 
          %omdoc.common.attribs; 
          %id.attrib;
          name      CDATA             #REQUIRED
          value     CDATA             #IMPLIED
          valuetype (data|ref|object) 'data'>
