<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module MTXT
      SYSTEM http://www.mathweb.org/omdoc/dtd/omdocmtext.mod
      PUBLIC -//OMDoc//ELEMENTS OMDoc MTXT V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ENTITY % omdocmtxt.omtext.qname "%omdoc.pfx;omtext">
<!ENTITY % omdocmtxt.assumption.qname "%omdoc.pfx;assumption">
<!ENTITY % omdocmtxt.conclusion.qname "%omdoc.pfx;conclusion">
<!ENTITY % omdocmtxt.term.qname "%omdoc.pfx;term">

<!-- what can go into a mathematical text -->
<!ENTITY % omdoc.mtext.content "#PCDATA
                               |%omdocmtxt.with.qname;
                               |%omdocmtxt.term.qname;
                               |%omdocmobj.class;
                                %omdocrt.mtext.mix;
                                %omdocext.mtext.mix;">


<!-- the linguistically motivated text types (RST=Rhethorical Structure Theory) -->
<!ENTITY % omtexttype.rst "abstract|introduction|conclusion|thesis|comment|
                           antithesis|elaboration|motivation|evidence|transition|
                           note|annote">

<!-- the text types for statements (for migration to the ST module) -->
<!ENTITY % otherassertiontype "">
<!ENTITY % assertiontype "theorem|lemma|corollary|conjecture|
                          false-conjecture|obligation|postulate|
                          formula|assumption|proposition|rule%otherassertiontype;">
<!ENTITY % omtexttype.st "axiom|definition|example|%assertiontype;">

<!-- the text types for proofs and proof fragments -->
<!ENTITY % omtexttype.pf "proof|derive|hpyothesis">

<!-- putting them all together -->
<!ENTITY % otheromtexttype "">
<!ENTITY % omtexttype "%omtexttype.rst;|%omtexttype.st;|%omtexttype.pf;%otheromtexttype;">

<!ELEMENT %omdocmtxt.omtext.qname; 
          (%omdocdoc.meta.content;(%ss;|%omdocmtxt.CMP.qname;)+,
            (%omdocmtxt.FMP.qname;)*)>
<!ATTLIST %omdocmtxt.omtext.qname; 
          %omdoc.common.attribs;
          %omdoc.toplevel.attribs; 
          type (%omtexttype;) #IMPLIED
          for %omdocref; #IMPLIED  
          from %omdocref; #IMPLIED>  
<!-- attribute 'for' is a URIref, to %omdocdoc.class;s 
     it is needed by the 'type' attribute-->

<!ELEMENT %omdocmtxt.CMP.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocmtxt.CMP.qname; 
	  %id.attrib;
          %omdoc.common.attribs; 
          %xml.lang.attrib;>

<!ELEMENT %omdocmtxt.with.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocmtxt.with.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>
<!-- identifies a text passage and 
     allows to attatch style and role information to it -->

<!ELEMENT %omdocmtxt.term.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocmtxt.term.qname; 
          %omdoc.common.attribs;
	  %id.attrib;
	  role CDATA #IMPLIED
          name CDATA #REQUIRED 
          cd CDATA #REQUIRED>

<!ELEMENT %omdocmtxt.FMP.qname; 
          (((%omdocmtxt.assumption.qname;)*,(%omdocmtxt.conclusion.qname;)*)
           |(%omdocmobj.class;))> 
<!ATTLIST %omdocmtxt.FMP.qname; 
          %omdoc.common.attribs; 
	  %id.attrib;
          logic NMTOKEN #IMPLIED>

<!-- If FMP contains a %omdocmobj.class; then this is the assertion, 
     if it contains (assumption*,conclusion*), then it is a 
     logical sequent (A1,...,An |- C1,...,Cm): 
     all the Ai entail one of the Ci -->

<!ELEMENT %omdocmtxt.assumption.qname; 
          ((%omdocmtxt.CMP.qname;)*,(%omdocmobj.class;)?)>
<!ATTLIST %omdocmtxt.assumption.qname; 
          %omdoc.common.attribs; 
          %id.attrib;
          inductive (yes|no) #IMPLIED>

<!ELEMENT %omdocmtxt.conclusion.qname; 
          ((%omdocmtxt.CMP.qname;)*,(%omdocmobj.class;)?)>
<!ATTLIST %omdocmtxt.conclusion.qname; 
          %omdoc.common.attribs; 
          %id.attrib;>
