<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module PF
      SYSTEM http://www.mathweb.org/omdoc/dtd/omdocpf.mod
      PUBLIC -//OMDoc//ELEMENTS OMDoc PF V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!-- qnames for omdoc statements -->
<!ENTITY % omdocpf.metacomment.qname "%omdoc.pfx;metacomment">
<!ENTITY % omdocpf.derive.qname "%omdoc.pfx;derive">
<!ENTITY % omdocpf.hypothesis.qname "%omdoc.pfx;hypothesis">
<!ENTITY % omdocpf.method.qname "%omdoc.pfx;method">
<!ENTITY % omdocpf.premise.qname "%omdoc.pfx;premise">

<!ELEMENT %omdocpf.proof.qname; 
          (%omdocdoc.meta.content;
                 (%ss;|%omdocmtxt.omtext.qname;
		 |%omdocst.symbol.qname;
		 |%omdocst.definition.qname;
                 |%omdocpf.derive.qname;
                 |%omdocpf.hypothesis.qname;)*)>
<!ATTLIST %omdocpf.proof.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %fori.attrib;>

<!ELEMENT %omdocpf.proofobject.qname; 
          (%omdocdoc.meta.content;(%omdocmobj.class;))>
<!ATTLIST %omdocpf.proofobject.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %fori.attrib;>

<!ELEMENT %omdocpf.derive.qname; 
          (%omdocmtxt.MCF.content;,(%ss;|%omdocpf.method.qname;)?)>
<!ATTLIST %omdocpf.derive.qname; 
          %omdoc.common.attribs; 
	  type CDATA #IMPLIED
          %id.attrib;>

<!ELEMENT %omdocpf.hypothesis.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocpf.hypothesis.qname; 
          %omdoc.common.attribs; 
          %id.attrib; 
          inductive (yes|no) #IMPLIED>

<!ELEMENT %omdocpf.method.qname; 
	 	  (%omdocmobj.class;|%omdocpf.premise.qname;
                  |%omdocpf.proof.qname;|%omdocpf.proofobject.qname;)*>
<!ATTLIST %omdocpf.method.qname; %omdoc.common.attribs; %xrefi.attrib;>
<!-- 'xref' is a pointer to the element defining the method -->

<!ELEMENT %omdocpf.premise.qname; EMPTY>
<!ATTLIST %omdocpf.premise.qname; %omdoc.common.attribs; 
	  %xref.attrib; rank CDATA "0">
<!-- The rank of a premise specifies its importance in the 
     inference rule. Rank 0 (the default) is a real premise, 
     whereas positive rank signifies sideconditions of 
     varying degree. -->

