<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module DOC
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdocdoc.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc RT V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!-- qnames for omdoc text structure  elements -->
<!ENTITY % omdocrt.li.qname "%omdoc.pfx;li">
<!ENTITY % omdocrt.di.qname "%omdoc.pfx;di">
<!ENTITY % omdocrt.dt.qname "%omdoc.pfx;dt">
<!ENTITY % omdocrt.dd.qname "%omdoc.pfx;dd">
<!ENTITY % omdocrt.tr.qname "%omdoc.pfx;tr">
<!ENTITY % omdocrt.td.qname "%omdoc.pfx;td">
<!ENTITY % omdocrt.th.qname "%omdoc.pfx;th">
<!ENTITY % omdocrt.idp.qname "%omdoc.pfx;idp">
<!ENTITY % omdocrt.idt.qname "%omdoc.pfx;idt">
<!ENTITY % omdocrt.ide.qname "%omdoc.pfx;ide">

<!ENTITY % omdocrt.common.attrib "%id.attrib; %fori.attrib; index NMTOKEN #IMPLIED">

<!ELEMENT %omdocrt.li.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.li.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.dt.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.dt.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.dd.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.dd.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.ul.qname; (%ss;|%omdocrt.li.qname;)+>
<!ATTLIST %omdocrt.ul.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.ol.qname; (%ss;|%omdocrt.li.qname;)+>
<!ATTLIST %omdocrt.ol.qname; 
          %omdoc.nsschema.attrib;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.dl.qname; (%ss;|%omdocrt.di.qname;)+>
<!ATTLIST %omdocrt.dl.qname; 
          %omdoc.nsschema.attrib;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.di.qname; ((%ss;|%omdocrt.dd.qname;)*,(%ss;|%omdocrt.dt.qname;)*)>
<!ATTLIST %omdocrt.di.qname; 
          %omdoc.nsschema.attrib;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.p.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.p.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.highlight.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.highlight.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;
          role NMTOKENS #IMPLIED>

<!ELEMENT %omdocrt.note.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.note.qname; 
          %omdoc.common.attribs; 
          %omdocrt.common.attrib;
          type NMTOKEN 'footnote'>

<!-- a simplified table -->
<!ELEMENT %omdocrt.table.qname; (%ss;|%omdocrt.tr.qname;)+>
<!ATTLIST %omdocrt.table.qname; %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.tr.qname; (%ss;|%omdocrt.td.qname;|%omdocrt.th.qname;)+>
<!ATTLIST %omdocrt.tr.qname; 
          %omdoc.common.attribs;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.td.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.td.qname; 
          %omdoc.common.attribs;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.th.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.th.qname; 
          %omdoc.common.attribs;
          %omdocrt.common.attrib;>

<!ELEMENT %omdocrt.link.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.link.qname; 
          %omdoc.common.attribs;
          %omdocrt.common.attrib;
          href %anyURI; #REQUIRED>

<!ENTITY % index.att "sort-by CDATA #IMPLIED
	              see %omdocrefs; #IMPLIED
	              seealso %omdocrefs; #IMPLIED
		      links %anyURIs; #IMPLIED">
<!ELEMENT %omdocrt.idx.qname; ((%omdocrt.idt.qname;)?,(%omdocrt.ide.qname;)+)>
<!ATTLIST %omdocrt.idx.qname; %omdoc.common.attribs; %id.attrib;>

<!ELEMENT %omdocrt.ide.qname; ((%omdocrt.idp.qname;)+)>
<!ATTLIST %omdocrt.ide.qname; %omdoc.common.attribs; %index.att;>

<!ELEMENT %omdocrt.idp.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.idp.qname; %omdoc.common.attribs;  %index.att;>

<!ELEMENT %omdocrt.idt.qname; (%omdoc.mtext.content;)*>
<!ATTLIST %omdocrt.idt.qname; %omdoc.common.attribs; %id.attrib;>
