<!--
   An XML DTD for Open Mathematical documents (OMDoc 1.2) Module ST
     SYSTEM http://www.mathweb.org/omdoc/dtd/omdocst.mod
     PUBLIC -//OMDoc//ELEMENTS OMDoc ST V1.2//EN
   See the documentation and examples at http://www.mathweb.org/omdoc 
   (c) 1999-2003 Michael Kohlhase, released under the GNU Public License (GPL)
-->

<!ENTITY % omdocst.measure.qname "%omdoc.pfx;measure">
<!ENTITY % omdocst.ordering.qname "%omdoc.pfx;ordering">

<!ENTITY % omdocst.other.sym.role "">
<!ENTITY % omdocst.omdoc.sym.role "type|sort|object">
<!ENTITY % omdocst.om.sym.role "binder|attribution|semantic-attribution|error">
<!ENTITY % omdocst.sym.role
           "%omdocst.omdoc.sym.role;|%omdocst.om.sym.role;%omdocst.other.sym.role;">
<!ENTITY % justby.attrib "just-by %omdocref; #IMPLIED">           
<!ENTITY % omdocst.constitutive.attribs "%idc.attrib;
     				         generated-from %omdocref; #IMPLIED 
				         %omdoccth.genvia.attrib;">

<!ELEMENT %omdocst.symbol.qname; (%omdocdoc.meta.content;(%ss;|%omdocst.type.qname;)*)>
<!ATTLIST %omdocst.symbol.qname; 
          %omdoc.common.attribs;
          %omdocst.constitutive.attribs;
          %omdocst.scope.attrib;
          role (%omdocst.sym.role;) "object">

<!ELEMENT %omdocst.axiom.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocst.axiom.qname; 
          %omdoc.common.attribs;
          %omdocst.constitutive.attribs; 
          %fori.attrib;>

<!ENTITY % def.attribs "existence %omdocref; #IMPLIED
			uniqueness %omdocref; #IMPLIED
			consistency %omdocref; #IMPLIED
			exhaustivity %omdocref; #IMPLIED
			coherence %omdocref; #IMPLIED">

<!-- Definitions contain CMPs,  FMPs and concept specifications. 
     The latter define the set of concepts defined in this element. 
     They can be reached under this name in the content dictionary 
     of the name specified in the theory attribute of the definition. -->
<!ELEMENT %omdocst.definition.qname; (%omdocmtxt.MC.content;,
           ((%omdocmtxt.FMP.qname;)*|(%omdocst.requation.qname;)+|(%omdocmobj.class;))?,
           (%omdocst.measure.qname;)?,(%omdocst.ordering.qname;)?)>
<!ATTLIST %omdocst.definition.qname;  
          %omdoc.common.attribs;
          %omdocst.constitutive.attribs;
	  %def.attribs;
          type  %definitiontype; "simple"
          generated-by %omdocref; #IMPLIED
          %for.attrib;>
 <!-- attribute just-by is an URIref points to an assertion -->

<!ELEMENT %omdocst.requation.qname; 
          ((%omdocmobj.class;),(%omdocmobj.class;))>
<!ATTLIST %omdocst.requation.qname; 
          %omdoc.common.attribs;
          %id.attrib;>

<!ELEMENT %omdocst.measure.qname; (%omdocmobj.class;)>
<!ATTLIST %omdocst.measure.qname; 
          %omdoc.common.attribs;
          %id.attrib;>

<!ELEMENT %omdocst.ordering.qname; (%omdocmobj.class;)>
<!ATTLIST %omdocst.ordering.qname; 
          %omdoc.common.attribs;
          %id.attrib;>

<!ELEMENT %omdocst.assertion.qname; (%omdocmtxt.MCFS.content;)>
<!ATTLIST %omdocst.assertion.qname;  
          %omdoc.common.attribs;
          %omdoc.toplevel.attribs;
          type (%assertiontype;) "conjecture"
          proofs %omdocrefs; #IMPLIED>
<!-- the %assertiontype; has no formal meaning yet, it is solely 
     for human consumption. The 'generated-by' is for 
     theory-interpretations, which can  generate assertions. 
     'proofs' is a list of URIRefs -->

<!ELEMENT %omdocst.type.qname; (%omdocmtxt.MC.content;,
	  (%omdocmobj.class;),(%omdocmobj.class;)?)>
<!ATTLIST %omdocst.type.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %justby.attrib;
          for %omdocref; #IMPLIED
          system %omdocref; #IMPLIED>
     
<!ELEMENT %omdocst.alternative.qname; (%omdocmtxt.MCF.content;,
           ((%omdocst.requation.qname;)+|(%omdocmobj.class;))?)>
<!ATTLIST %omdocst.alternative.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          %for.attrib;
          type  %definitiontype; "simple"
          generated-by %omdocref; #IMPLIED
	  %def.attribs;
          entails %omdocref; #IMPLIED
          entailed-by %omdocref; #IMPLIED
          equivalence %omdocref; #IMPLIED
          equivalence-thm %omdocref; #IMPLIED
          entailed-by-thm %omdocref; #IMPLIED
          entails-thm %omdocref; #IMPLIED>      
<!-- entailed-by, entails, point to other (equivalent definitions
     entailed-by-thm, entails-thm point to the theorems justifying
     the entailment relation -->

<!ELEMENT %omdocst.example.qname; 
          (%omdocmtxt.MC.content;,(%omdocmobj.class;)*)>
<!ATTLIST %omdocst.example.qname; 
          %omdoc.common.attribs; 
          %omdoc.toplevel.attribs;
          type (for|against) #IMPLIED
          assertion %omdocref; #IMPLIED 
          %for.attrib;>
<!-- attributes assertion is an URIref -->


<!ELEMENT %omdocst.theory.qname; 
      (%omdocdoc.meta.content;(%omdoc.intheory.class;)*)>
<!ATTLIST %omdocst.theory.qname; 
          %omdoc.common.attribs;
          %id.attrib;
	  cdbase CDATA #IMPLIED
	  cdurl %anyURI; #IMPLIED
	  cdreviewdate CDATA #IMPLIED
	  cdversion CDATA #IMPLIED
	  cdrevision CDATA #IMPLIED
	  cdstatus (official|experimental|private|obsolete) #IMPLIED>

<!ELEMENT %omdocst.imports.qname; 
          ((%omdocdoc.metadata.qname;)?%omdoccth.imports.mix;)>
<!ATTLIST %omdocst.imports.qname; 
          %omdoc.common.attribs;
          %id.attrib; 
          %from.attrib;
          %omdoccth.imports.attribs;>
<!-- hiding is a list of references to symbol ids -->

