<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:dc="http://purl.org/DC"
  xmlns:OD="http://www.mathweb.org/omdoc"
  version="1.0">

  <xsl:output method="html"/>

<!-- ============================================================ -->
<!-- ==================  Dublin Core Metadata  ================== --> 
<!-- ============================================================ -->

  <xsl:template match="metadata">
    <xsl:param name="layout">brief</xsl:param>
    <xsl:choose>
      <xsl:when test="$layout='extensive'">
        <center>
          <xsl:if test="dc:Title">
            <h2><xsl:value-of select="dc:Title" /></h2><br />
          </xsl:if>
          <xsl:for-each select="dc:Contributor">
            <address><xsl:apply-templates select="."/></address>
            <xsl:choose>
              <xsl:when test="not(position()=last())">,</xsl:when>
              <xsl:otherwise><br /></xsl:otherwise>
            </xsl:choose>
          </xsl:for-each>
          <xsl:value-of select="dc:Date" />
        </center>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="dc:Title">
          "<xsl:value-of select="dc:Title" />"
        </xsl:if>
        <xsl:for-each select="dc:Contributor">
          ,<address><xsl:apply-templates select="."/></address>
        </xsl:for-each>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="/OD:omdoc/metadata">
    <center>
      <h1><xsl:value-of select="dc:Title" /></h1>
      <br /><address>
      <xsl:for-each select="dc:Contributor">
        <xsl:apply-templates select="."/>
        <xsl:if test="not(position()=last())">,</xsl:if>
      </xsl:for-each>
      </address><br /><xsl:value-of select="dc:Date" />
    </center>
    <hr />
  </xsl:template>
  
  <xsl:template match="dc:Contributor">
    <xsl:choose>
      <xsl:when test="@role='aut'"><xsl:value-of select="."/></xsl:when>
      <xsl:when test="@role='edt'">Editor:<xsl:value-of select="."/></xsl:when>
      <xsl:otherwise><xsl:value-of select="@role"/>:<xsl:value-of select="."/></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>
