<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xmlns="http://www.w3.org"
  xmlns:om="http://www.openmath.org/OpenMath"
  xmlns:OD="http://www.mathweb.org/omdoc"
  xmlns:outxmlns="outxmlns.xsl"
  version="1.0">

  <xsl:output method="xml" version="1.0" encoding="utf-8" standalone="yes"/>

  <xsl:variable name="format">MathML</xsl:variable>
  
  <xsl:namespace-alias stylesheet-prefix="outxmlns" result-prefix="xmlns"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="OD:omdoc">
    <xsl:element name="xsl:stylesheet" namespace="http://www.w3.org/1999/XSL/Transform">
      <xsl:attribute name="version">1.0</xsl:attribute>
      
      <xsl:element name="xsl:include">
        <xsl:attribute name="href">od2ht.xsl</xsl:attribute>
      </xsl:element>
      <xsl:element name="xsl:output">
        <xsl:attribute name="method">html</xsl:attribute>
      </xsl:element>
      
      <xsl:value-of select="OD:omdoc"/>
      <xsl:apply-templates select="OD:theory"/>
      
    </xsl:element>
  </xsl:template>

  <xsl:template match="OD:theory">
    <xsl:apply-templates select="//OD:presentation">
      <xsl:with-param name="theory_name"><xsl:value-of select="@id"/></xsl:with-param>
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="OD:presentation">
    <xsl:param name="theory_name">undefined</xsl:param>
    <xsl:element name="xsl:template">
      <xsl:attribute name="make_saxon_put_namespace_declaration_for_om" namespace="http://www.openmath.org/OpenMath"></xsl:attribute>
      <xsl:attribute name="match">om:OMS[@cd='<xsl:value-of select="$theory_name"/>' and @name='<xsl:value-of select="@for"/>']</xsl:attribute>
      <xsl:choose>
        <xsl:when test="@fixity">
          <xsl:element name="xsl:text">
            <xsl:attribute name="disable-output-escaping">yes</xsl:attribute>
          </xsl:element>
          <math><xsl:value-of select="OD:use[@format=$format]"/></math>
          </xsl:when>
        <xsl:otherwise>oops!</xsl:otherwise>
      </xsl:choose>
    </xsl:element>
  </xsl:template>
    
</xsl:stylesheet>
