<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:om="http://www.openmath.org/OpenMath"
  version="1.0">

  <xsl:output method="html"/>

  <xsl:template match="om:OMS">
    <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='arith1']">
    <xsl:choose>
      <xsl:when test="@name='abs'">
        <mo>abs</mo>
      </xsl:when>
      <xsl:when test="@name='divide'">
        <mo>/</mo>
      </xsl:when>
      <xsl:when test="@name='gcd'">
        <mo>gcd</mo>
      </xsl:when>
      <xsl:when test="@name='lcm'">
        <mo>lcm</mo>
      </xsl:when>
      <xsl:when test="@name='minus'">
        <mo>-</mo>
      </xsl:when>
      <xsl:when test="@name='plus'">
        <mo>+</mo>
      </xsl:when>
      <xsl:when test="@name='power'">
        <mo>^</mo>
      </xsl:when>
      <xsl:when test="@name='product'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Product;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='root'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Sqrt;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='sum'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Sum;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='times'">
        <mo><xsl:text disable-output-escaping="yes">&amp;InvisibleTimes;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='unary_minus'">
        <mo>-</mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='fns1']">
    <xsl:choose>
      <xsl:when test="@name='inverse'">
        <mo>inv</mo>
      </xsl:when>
      <xsl:when test="@name='lambda'">
        <mo><xsl:text disable-output-escaping="yes">&amp;lambda;</xsl:text></mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='integer1']">
    <xsl:choose>
      <xsl:when test="@name='factorial'">
        <mo>!</mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='logic1']">
    <xsl:choose>
      <xsl:when test="@name='and'">
        <mo><xsl:text disable-output-escaping="yes">&amp;And;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='equals'">
        <mo><xsl:text disable-output-escaping="yes">&amp;DoubleLeftRightArrow;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='implies'">
        <mo><xsl:text disable-output-escaping="yes">&amp;DoubleRightArrow;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='or'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Or;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='not'">
        <mo><xsl:text disable-output-escaping="yes">&amp;not;</xsl:text></mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='nums1']">
    <xsl:choose>
      <xsl:when test="@name='e'">
        <mn><xsl:text disable-output-escaping="yes">&amp;ExponentialE;</xsl:text></mn>
      </xsl:when>
      <xsl:when test="@name='gamma'">
        <mn><xsl:text disable-output-escaping="yes">&amp;gamma;</xsl:text></mn>
      </xsl:when>
      <xsl:when test="@name='i'">
        <mn><xsl:text disable-output-escaping="yes">&amp;ImaginaryI;</xsl:text></mn>
      </xsl:when>
      <xsl:when test="@name='infinity'">
        <mn><xsl:text disable-output-escaping="yes">&amp;infin;</xsl:text></mn>
      </xsl:when>
      <xsl:when test="@name='NaN'">
        <mn>NaN</mn>
      </xsl:when>
      <xsl:when test="@name='pi'">
        <mn><xsl:text disable-output-escaping="yes">&amp;pi;</xsl:text></mn>
      </xsl:when>
      <xsl:when test="@name='rational'">
        /
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='quant1']">
    <xsl:choose>
      <xsl:when test="@name='forall'">
        <mo><xsl:text disable-output-escaping="yes">&amp;ForAll;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='exists'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Exists;</xsl:text></mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='relation1']">
    <xsl:choose>
      <xsl:when test="@name='eq'">
        <mo>=</mo>
      </xsl:when>
      <xsl:when test="@name='geq'">
        <mo><xsl:text disable-output-escaping="yes">&amp;GreaterEqual;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='leq'">
        <mo><xsl:text disable-output-escaping="yes">&amp;le;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='gt'">
        <mo><xsl:text disable-output-escaping="yes">&amp;gt;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='lt'">
        <mo><xsl:text disable-output-escaping="yes">&amp;lt;</xsl:text></mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='set1']">
    <xsl:choose>
      <xsl:when test="@name='cartesian_product'">
        <mo><xsl:text disable-output-escaping="yes">&amp;times;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='emptyset'">
        <mi><xsl:text disable-output-escaping="yes">&amp;emptyv;</xsl:text></mi>
      </xsl:when>
      <xsl:when test="@name='in'">
        <mo><xsl:text disable-output-escaping="yes">&amp;Element;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='intersect'">
        <mo><xsl:text disable-output-escaping="yes">&amp;cap;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='map'">
        <mo><xsl:text disable-output-escaping="yes">&amp;RightArrow;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='notin'">
        <mo><xsl:text disable-output-escaping="yes">&amp;NotElement;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='notsubset'">
        <mo><xsl:text disable-output-escaping="yes">&amp;NotSubset;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='prsubset'">
        <mo><xsl:text disable-output-escaping="yes">&amp;subnE;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='set'">
        <mo>set</mo>
      </xsl:when>
      <xsl:when test="@name='setdiff'">
        <mo><xsl:text disable-output-escaping="yes">&amp;bsol;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='size'">
        <mo>card</mo>
      </xsl:when>
      <xsl:when test="@name='subset'">
        <mo><xsl:text disable-output-escaping="yes">&amp;subset;</xsl:text></mo>
      </xsl:when>
      <xsl:when test="@name='suchthat'">
        <mo>|</mo>
      </xsl:when>
      <xsl:when test="@name='union'">
        <mo><xsl:text disable-output-escaping="yes">&amp;cup;</xsl:text></mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="om:OMS[@cd='transc1']">
    <xsl:choose>
      <xsl:when test="@name='arccos'">
        <mo>arccos</mo>
      </xsl:when>
      <xsl:when test="@name='arccosh'">
        <mo>arccosh</mo>
      </xsl:when>
      <xsl:when test="@name='arccot'">
        <mo>arccot</mo>
      </xsl:when>
      <xsl:when test="@name='arccoth'">
        <mo>arccoth</mo>
      </xsl:when>
      <xsl:when test="@name='arccsc'">
        <mo>arccsc</mo>
      </xsl:when>
      <xsl:when test="@name='arccsch'">
        <mo>arccsch</mo>
      </xsl:when>
      <xsl:when test="@name='arcsec'">
        <mo>arcsec</mo>
      </xsl:when>
      <xsl:when test="@name='arcsech'">
        <mo>arcsech</mo>
      </xsl:when>
      <xsl:when test="@name='arcsin'">
        <mo>arcsin</mo>
      </xsl:when>
      <xsl:when test="@name='arcsinh'">
        <mo>arcsinh</mo>
      </xsl:when>
      <xsl:when test="@name='arctan'">
        <mo>arctan</mo>
      </xsl:when>
      <xsl:when test="@name='arctanh'">
        <mo>arctanh</mo>
      </xsl:when>
      <xsl:when test="@name='cos'">
        <mo>cos</mo>
      </xsl:when>
      <xsl:when test="@name='cosh'">
        <mo>cosh</mo>
      </xsl:when>
      <xsl:when test="@name='cot'">
        <mo>cot</mo>
      </xsl:when>
      <xsl:when test="@name='coth'">
        <mo>coth</mo>
      </xsl:when>
      <xsl:when test="@name='csc'">
        <mo>csc</mo>
      </xsl:when>
      <xsl:when test="@name='csch'">
        <mo>csch</mo>
      </xsl:when>
      <xsl:when test="@name='exp'">
        <mo>exp</mo>
      </xsl:when>
      <xsl:when test="@name='ln'">
        <mo>ln</mo>
      </xsl:when>
      <xsl:when test="@name='log'">
        <mo>log</mo>
      </xsl:when>
      <xsl:when test="@name='sec'">
        <mo>sec</mo>
      </xsl:when>
      <xsl:when test="@name='sech'">
        <mo>sech</mo>
      </xsl:when>
      <xsl:when test="@name='sin'">
        <mo>sin</mo>
      </xsl:when>
      <xsl:when test="@name='sinh'">
        <mo>sinh</mo>
      </xsl:when>
      <xsl:when test="@name='tan'">
        <mo>tan</mo>
      </xsl:when>
      <xsl:when test="@name='tanh'">
        <mo>tanh</mo>
      </xsl:when>
      <xsl:otherwise>
        <mo><xsl:value-of select="@cd"/>:<xsl:value-of select="@name"/></mo>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
