// Clase:    QMath_parser
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:39 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002, 2003 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "QMath_parser.h"

/////////////
// QMath_parser - Class constructor.
// no arguments.
//public:
QMath_parser::QMath_parser()
{

}

/////////////
// ~QMath_parser - Class destructor.
// no arguments.
//public:
QMath_parser::~QMath_parser()
{

}

extern Tokenizer lexer;

/////////////
// Embedded_mode - Tell whether the parser detected an embedded grammar or not.
// returns true if the QMath expression grammar was used embedded in an XML document, and false otherwise.
//public:
bool QMath_parser::Embedded_mode()
{
  return lexer.Embedded_mode();
}
int yyparse(void* xml_document);
extern int yydebug;


/////////////
// To_XML_doc_info_item - Parse into an XML_doc_info_item.
// item: pointer to an XML_elem_info_item.
// returns 0 on success, 1 on fail.
//public:
int QMath_parser::To_XML_doc_info_item(XML_doc_info_item_p_t document)
{
  int status;
  status = 0;// OK.
  
  if (!document)
    {
      status = 1;// Error.
      return status;
    }
  
  XML_elem_info_item_p_t root = NULL;
  
  document
    ->Version("1.0")
    ->Entities((new XML_internal_ent_info_item)
               ->Name("lt")->Content("&#38;#60;")
               )
    ->Entities((new XML_internal_ent_info_item)
               ->Name("gt")->Content("&#62;")
               )
    ->Entities((new XML_internal_ent_info_item)
               ->Name("amp")->Content("&#38;#38;")
               )
    ->Entities((new XML_internal_ent_info_item)
               ->Name("apos")->Content("&#39;")
               )
    ->Entities((new XML_internal_ent_info_item)
               ->Name("quot")->Content("&#34;")
               )
    ->Document_element(root = (new XML_elem_info_item))
    ;
  
  if (root)
    {
      status = yyparse((void*)root);//bison
    }
  else
    {
      status = 1;// Error
      std::cerr << ":: error: QMath_parser::To_XML_doc_info_item(document): "
                << "No root element. Probably out of memory.\n";
    }
  
  return status;
}
