// Clase:    Unicode_regexp_node
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:40 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_Unicode_regexp_node
#define _H_Unicode_regexp_node

#include <vector> // STL
using std::vector;
#include "Unicode_translator.H"
#include <iostream>
using std::ostream;
using std::cout;
using std::endl;
using std::dec;
using std::hex;
#include "../../../../Unicode_data/Unicode_data.h"
typedef class Unicode_regexp_node Unicode_regexp_node_t, *Unicode_regexp_node_p_t;

class Unicode_regexp_node
{
 public:
  typedef Unicode_data::UCS4_char_t UCS4_char_t, *UCS4_char_p_t;
  typedef struct
  { // This is a closed interval
    UCS4_char_t begin;
    UCS4_char_t end;
  } character_range_t, *character_range_p_t;
  typedef struct
  {
    Unicode_data::general_category_t general_category;
  } character_category_t, *character_category_p_t;
 private:
  vector<character_category_t> character_categories;
  vector<character_range_t> character_ranges;
  bool negated;
 public:
  Unicode_regexp_node();
  ~Unicode_regexp_node();
  void Erase();
  bool Append_category(character_category_t &category);
  const vector<character_range_t> &Character_ranges();
  const vector<character_category_t> &Character_categories();
  bool Negated_char_ranges();
  void Negated_char_ranges(bool value);
  bool Append_range(character_range_t &range);
  bool Match(UCS4_char_t character);
};

extern ostream &operator<< (ostream &, Unicode_regexp_node &);

#endif
