// Clase:    Unicode_translator
// Proyecto: QMath
// Inicio: 2002-07-18 19:32:13 UTC
// Fecha:  2009-12-17 21:56:41 UTC
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_Unicode_translator
#define _H_Unicode_translator

#include "../Unicode_data/Unicode_data.h"
#include <string.h>
#include <vector> // STL
using std::vector;
#include <string>
using std::string;
#include "../..//src/config.h"
#ifndef USING_GCC_2_95
#endif // USING_GCC_2_95


typedef class Unicode_translator Unicode_translator_t, *Unicode_translator_p_t;
class Unicode_translator
{
 private:
typedef Unicode_data::UCS4_char_t UCS4_char_t, *UCS4_char_p_t;
 public:
  Unicode_translator();
  Unicode_translator(const Unicode_translator &model);
  ~Unicode_translator();
  static int UTF8(const UCS4_char_t character, vector<unsigned char>* p_result);
  static int UTF8(const UCS4_char_t character, vector<char>* p_result);
  static int UTF8(const UCS4_char_t character, string* p_result);
  static bool UTF8(UCS4_char_p_t p_ucs4_char, const unsigned char utf8_char, int *p_run_length, int *p_correct_run_length);
  static int UTF8(UCS4_char_p_t p_character, vector<char>::const_iterator* p_utf8_iterator, vector<char>::const_iterator utf8_iterator_end);
  static int UTF8(UCS4_char_p_t p_character, vector<unsigned char>::const_iterator* p_utf8_iterator, vector<unsigned char>::const_iterator utf8_iterator_end);
#ifndef USING_GCC_2_95
  static int UTF8(UCS4_char_p_t p_character, string::const_iterator* p_utf8_iterator, string::const_iterator utf8_iterator_end);
  static int UTF8(UCS4_char_p_t p_character, const char** p_utf8_pointer, const char* utf8_pointer_end);
  static int UTF8(UCS4_char_p_t p_character, const unsigned char** p_utf8_pointer, const unsigned char* utf8_pointer_end);
#endif // USING_GCC_2_95
  static int UTF8_length(const long character);
};



#endif
