// Clase:    XML_attr_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:42 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "XML_attr_info_item.h"

/////////////
// XML_attr_info_item - Class constructor.
// no arguments.
//public:
XML_attr_info_item::XML_attr_info_item()
{
  this->namespace_name = NULL;
  this->local_name = NULL;
  this->prefix = NULL;
  this->normalized_value = NULL;
  this->specified = false;
  this->attribute_type = NONE;
  this->owner_element = NULL;
  Type(attr_info_item);
}

/////////////
// ~XML_attr_info_item - Class destructor.
// no arguments.
//public:
XML_attr_info_item::~XML_attr_info_item()
{
  if (namespace_name)
    {
      delete namespace_name;
      namespace_name = NULL;
    }
  if (local_name)
    {
      delete local_name;
      local_name = NULL;
    }
  if (prefix)
    {
      delete prefix;
      prefix = NULL;
    }
  if (normalized_value)
    {
      delete normalized_value;
      normalized_value = NULL;
    }
}





/////////////
// Owner_element - Set [owner element] property.
// owner_element: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Owner_element(XML_elem_info_item_p_t owner_element)
{
  this->owner_element = owner_element;
  
  return this;
}

/////////////
// Owner_element - Access to [owner element] property.
// no arguments.
// returns property value.
//public:
const XML_info_item_p_t XML_attr_info_item::Owner_element()
{
  return (XML_info_item_p_t)(this->owner_element);
}



using std::vector;


/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Namespace_name(XML_string_t &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  *(this->namespace_name) = namespace_name;
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Namespace_name(XML_string_p_t namespace_name)
{
  if (!namespace_name)
    {
      if (this->namespace_name)
        {
          delete this->namespace_name;
          this->namespace_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  *(this->namespace_name) = *namespace_name;
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Namespace_name(const vector<XML_UCS4_char_t> &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  this->namespace_name->UCS4(namespace_name);
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Namespace_name(const vector<char> &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  this->namespace_name->UTF8(namespace_name);
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Namespace_name(const char* namespace_name)
{
  if (!namespace_name)
    {
      if (this->namespace_name)
        {
          delete this->namespace_name;
          this->namespace_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  vector<char> namespace_name_vector;
  for (unsigned int index = 0; index < strlen(namespace_name); ++index)
    namespace_name_vector.push_back(namespace_name[index]);
  return Namespace_name(namespace_name_vector);
}

/////////////
// Namespace_name - Access to [namespace name] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_attr_info_item::Namespace_name()
{
  return this->namespace_name;
}


using std::ostream;

/////////////
// operator<< - Overloading of << operator.
// output: output c++ stream.
// XML_attr_info_item: XML_attr_info_item to output.
// returns output stream for operator composition.
//public:
ostream &operator<< (ostream &output, XML_attr_info_item_t &xml_attr_info_item)
{
  XML_attr_info_item::Output(&xml_attr_info_item, output);
  return output;
}

/////////////
// operator<< - Overloading of << operator.
// output: output c++ stream.
// XML_attr_info_item: XML_attr_info_item to output, passed as pointer.
// returns output stream for operator composition.
//public:
ostream &operator<< (ostream &output, XML_attr_info_item_p_t xml_attr_info_item)
{
  XML_attr_info_item::Output(xml_attr_info_item, output);
  return output;
}



using std::vector;


/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Prefix(XML_string_t &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  *(this->prefix) = prefix;
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Prefix(XML_string_p_t prefix)
{
  if (!prefix)
    {
      if (this->prefix)
        {
          delete this->prefix;
          this->prefix = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->prefix)
    this->prefix = new XML_string();
  *(this->prefix) = *prefix;
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Prefix(const vector<XML_UCS4_char_t> &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  this->prefix->UCS4(prefix);
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Prefix(const vector<char> &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  this->prefix->UTF8(prefix);
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Prefix(const char* prefix)
{
  if (!prefix)
    {
      if (this->prefix)
        {
          delete this->prefix;
          this->prefix = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->prefix)
    this->prefix = new XML_string();
  vector<char> prefix_vector;
  for (unsigned int index = 0; index < strlen(prefix); ++index)
    prefix_vector.push_back(prefix[index]);
  return Prefix(prefix_vector);
}

/////////////
// Prefix - Access to [prefix] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_attr_info_item::Prefix()
{
  return this->prefix;
}

using std::ostream;

/////////////
// Output - Write to a stream in XML format.
// item: XML_attr_info_item to be output, passed as pointer.
// output: stream which receives data.
// returns true on success, false on fail.
//public:
//static
bool XML_attr_info_item::Output(XML_attr_info_item_p_t item, ostream &output)
{
  return Output(item, output, 0);
}

/////////////
// Output - Write to a stream in XML format.
// item: XML_attr_info_item to be output, passed as pointer.
// output: stream which receives data.
// returns true on success, false on fail.
//public:
//static
bool XML_attr_info_item::Output(XML_attr_info_item_p_t item, ostream &output, unsigned int indentation)
{
  if (!item || !(&output)) return false;
  
  if (item->Prefix())
    output << item->Prefix() << ":";
  if (item->Local_name())
    output << item->Local_name();
  if (item->Normalized_value())
    output << "='" << item->Normalized_value() << "'";
  
  return true;
}


using std::vector;


/////////////
// Normalized_value - Set [normalized value] property.
// normalized_value: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Normalized_value(XML_string_t &normalized_value)
{
  if (!(&normalized_value)) return this;
  if (!this->normalized_value)
    this->normalized_value = new XML_string();
  *(this->normalized_value) = normalized_value;
  return this;
}

/////////////
// Normalized_value - Set [normalized value] property.
// normalized_value: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Normalized_value(XML_string_p_t normalized_value)
{
  if (!normalized_value)
    {
      if (this->normalized_value)
        {
          delete this->normalized_value;
          this->normalized_value = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->normalized_value)
    this->normalized_value = new XML_string();
  *(this->normalized_value) = *normalized_value;
  return this;
}

/////////////
// Normalized_value - Set [normalized value] property.
// normalized_value: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Normalized_value(const vector<XML_UCS4_char_t> &normalized_value)
{
  if (!(&normalized_value)) return this;
  if (!this->normalized_value)
    this->normalized_value = new XML_string();
  this->normalized_value->UCS4(normalized_value);
  return this;
}

/////////////
// Normalized_value - Set [normalized value] property.
// normalized_value: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Normalized_value(const vector<char> &normalized_value)
{
  if (!(&normalized_value)) return this;
  if (!this->normalized_value)
    this->normalized_value = new XML_string();
  this->normalized_value->UTF8(normalized_value);
  return this;
}

/////////////
// Normalized_value - Set [normalized value] property.
// normalized_value: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Normalized_value(const char* normalized_value)
{
  if (!normalized_value)
    {
      if (this->normalized_value)
        {
          delete this->normalized_value;
          this->normalized_value = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->normalized_value)
    this->normalized_value = new XML_string();
  vector<char> normalized_value_vector;
  for (unsigned int index = 0; index < strlen(normalized_value); ++index)
    normalized_value_vector.push_back(normalized_value[index]);
  return Normalized_value(normalized_value_vector);
}

/////////////
// Normalized_value - Access to [normalized value] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_attr_info_item::Normalized_value()
{
  return this->normalized_value;
}



using std::vector;


/////////////
// Local_name - Set [local name] property.
// local_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Local_name(XML_string_t &local_name)
{
  if (!(&local_name)) return this;
  if (!this->local_name)
    this->local_name = new XML_string();
  *(this->local_name) = local_name;
  return this;
}

/////////////
// Local_name - Set [local name] property.
// local_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Local_name(XML_string_p_t local_name)
{
  if (!local_name)
    {
      if (this->local_name)
        {
          delete this->local_name;
          this->local_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->local_name)
    this->local_name = new XML_string();
  *(this->local_name) = *local_name;
  return this;
}

/////////////
// Local_name - Set [local name] property.
// local_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Local_name(const vector<XML_UCS4_char_t> &local_name)
{
  if (!(&local_name)) return this;
  if (!this->local_name)
    this->local_name = new XML_string();
  this->local_name->UCS4(local_name);
  return this;
}

/////////////
// Local_name - Set [local name] property.
// local_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Local_name(const vector<char> &local_name)
{
  if (!(&local_name)) return this;
  if (!this->local_name)
    this->local_name = new XML_string();
  this->local_name->UTF8(local_name);
  return this;
}

/////////////
// Local_name - Set [local name] property.
// local_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Local_name(const char* local_name)
{
  if (!local_name)
    {
      if (this->local_name)
        {
          delete this->local_name;
          this->local_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->local_name)
    this->local_name = new XML_string();
  vector<char> local_name_vector;
  for (unsigned int index = 0; index < strlen(local_name); ++index)
    local_name_vector.push_back(local_name[index]);
  return Local_name(local_name_vector);
}

/////////////
// Local_name - Access to [local name] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_attr_info_item::Local_name()
{
  return this->local_name;
}




/////////////
// Attribute_type - Set [attribute type] property.
// attribute_type: new value for property.
// returns object pointer for operator concatenation.
//public:
XML_attr_info_item_p_t XML_attr_info_item::Attribute_type(XML_attr_info_item_type_t attribute_type)
{
  this->attribute_type = attribute_type;
  return this;
}

/////////////
// Attribute_type - Report [attribute type] property.
// no arguments.
// returns property value.
//public:
XML_attr_info_item::XML_attr_info_item_type_t XML_attr_info_item::Attribute_type()
{
  return this->attribute_type;
}
