// Clase:    XML_attr_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:42 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_attr_info_item
#define _H_XML_attr_info_item

#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_string/XML_string.h"
#include "../XML_info_item/XML_info_item.h"
#include "../XML_character_info_item/XML_character_info_item.h"
#include "../XML_elem_info_item/XML_elem_info_item.h"
#include "../XML_typedefs.h"
#include <string.h>
#include <vector>
#include <iostream>
using std::ostream;


class XML_attr_info_item : public XML_info_item
{
 public:
  enum XML_attr_info_item_type
  {
    NONE,
    ID,
    IDREF,
    IDREFS,
    ENTITY,
    ENTITIES,
    NMTOKEN,
    NMTOKENS,
    NOTATION,
    CDATA,
    ENUMERATION
  };
  typedef enum XML_attr_info_item_type XML_attr_info_item_type_t;
 private:
  XML_string_p_t namespace_name;
  XML_string_p_t local_name;
  XML_string_p_t prefix;
  XML_string_p_t normalized_value;
  bool specified;
  XML_attr_info_item_type_t attribute_type;
  XML_elem_info_item_p_t owner_element;// Outsourced.
 public:
  XML_attr_info_item();
  ~XML_attr_info_item();
  XML_attr_info_item_p_t Owner_element(XML_elem_info_item_p_t owner_element);
  const XML_info_item_p_t Owner_element();
  XML_attr_info_item_p_t Namespace_name(XML_string_t &namespace_name);
  XML_attr_info_item_p_t Namespace_name(XML_string_p_t namespace_name);
  XML_attr_info_item_p_t Namespace_name(const vector<XML_UCS4_char_t> &namespace_name);
  XML_attr_info_item_p_t Namespace_name(const vector<char> &namespace_name);
  XML_attr_info_item_p_t Namespace_name(const char* namespace_name);
  XML_string_p_t Namespace_name();
  XML_attr_info_item_p_t Prefix(XML_string_t &prefix);
  XML_attr_info_item_p_t Prefix(XML_string_p_t prefix);
  XML_attr_info_item_p_t Prefix(const vector<XML_UCS4_char_t> &prefix);
  XML_attr_info_item_p_t Prefix(const vector<char> &prefix);
  XML_attr_info_item_p_t Prefix(const char* prefix);
  XML_string_p_t Prefix();
  static bool Output(XML_attr_info_item_p_t item, ostream &output);
  static bool Output(XML_attr_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_attr_info_item_p_t Normalized_value(XML_string_t &normalized_value);
  XML_attr_info_item_p_t Normalized_value(XML_string_p_t normalized_value);
  XML_attr_info_item_p_t Normalized_value(const vector<XML_UCS4_char_t> &normalized_value);
  XML_attr_info_item_p_t Normalized_value(const vector<char> &normalized_value);
  XML_attr_info_item_p_t Normalized_value(const char* normalized_value);
  XML_string_p_t Normalized_value();
  XML_attr_info_item_p_t Local_name(XML_string_t &local_name);
  XML_attr_info_item_p_t Local_name(XML_string_p_t local_name);
  XML_attr_info_item_p_t Local_name(const vector<XML_UCS4_char_t> &local_name);
  XML_attr_info_item_p_t Local_name(const vector<char> &local_name);
  XML_attr_info_item_p_t Local_name(const char* local_name);
  XML_string_p_t Local_name();
  XML_attr_info_item_p_t Attribute_type(XML_attr_info_item_type_t attribute_type);
  XML_attr_info_item_type_t Attribute_type();
};

extern ostream &operator<< (ostream &, XML_attr_info_item_t &);
extern ostream &operator<< (ostream &, XML_attr_info_item_p_t);

#endif
