// Clase:    XML_character_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:43 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_character_info_item
#define _H_XML_character_info_item

#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_info_item/XML_info_item.h"
#include "../XML_elem_info_item/XML_elem_info_item.h"
#include "../XML_attr_info_item/XML_attr_info_item.h"
#include "../XML_namespace_info_item/XML_namespace_info_item.h"
#include "../XML_typedefs.h"
#include <iostream>
using std::ostream;
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <string>
using std::string;
#include "../../Unicode_translator/Unicode_translator.h"


class XML_character_info_item : public XML_info_item
{
 private:
  XML_info_item_p_t parent;// Outsourced.
  XML_UCS4_char_t code_point;
 public:
  XML_character_info_item();
  ~XML_character_info_item();
  static bool Output(XML_character_info_item_p_t character, ostream &output);
  XML_character_info_item_p_t UTF8(vector<char>* p_result);
  XML_character_info_item_p_t UTF8(vector<char>::const_iterator* p_utf8_iterator, vector<char>::const_iterator utf8_iterator_end);
  XML_character_info_item_p_t UTF8(const unsigned char** p_utf8_pointer, const unsigned char* utf8_pointer_end);
  XML_character_info_item_p_t UTF8(const unsigned char* utf8_pointer, const unsigned char* utf8_pointer_end);
  XML_character_info_item_p_t UTF8(const unsigned char** p_utf8_pointer);
  int UTF8_length();
  XML_character_info_item_p_t Character_code(XML_UCS4_char_t character_code);
  XML_UCS4_char_t Character_code();
  XML_character_info_item(XML_elem_info_item_p_t parent);
  XML_character_info_item_p_t Parent(XML_elem_info_item_p_t parent);
  const XML_info_item_p_t Parent();
};

extern ostream &operator<< (ostream &, XML_character_info_item_t &);
extern ostream &operator<< (ostream &, XML_character_info_item_p_t);

#endif
