// Clase:    XML_doc_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:44 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_doc_info_item
#define _H_XML_doc_info_item

#include <string> // STL
using std::string;
#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_string/XML_string.h"
#include "../XML_info_item/XML_info_item.h"
#include "../XML_elem_info_item/XML_elem_info_item.h"
#include "../XML_proc_inst_info_item/XML_proc_inst_info_item.h"
#include "../XML_comment_info_item/XML_comment_info_item.h"
#include "../XML_doc_type_decl_info_item/XML_doc_type_decl_info_item.h"
#include "../XML_notation_info_item/XML_notation_info_item.h"
#include "../XML_internal_ent_info_item/XML_internal_ent_info_item.h"
#include "../XML_external_ent_info_item/XML_external_ent_info_item.h"
#include "../XML_typedefs.h"
#include <string.h>
#include <vector>
#include <iostream>
using std::ostream;
using std::endl;


class XML_doc_info_item : public XML_info_item
{
 public:
  enum XML_standalone {not_present = 0, yes, no};
  typedef enum XML_standalone XML_standalone_t;
 private:
  list<XML_info_item_p_t> children;
  XML_info_item_p_t document_entity;
  XML_info_item_p_t document_element;
  set<XML_info_item_p_t> notations;
  set<XML_info_item_p_t> entities;
  XML_string_p_t base_URI;
  XML_standalone_t standalone;
  XML_string_p_t version;
  bool all_declarations_processed;
 public:
  XML_doc_info_item();
  ~XML_doc_info_item();
  XML_doc_info_item_p_t Children(vector<XML_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Children(XML_elem_info_item_p_t* array, int count);
  XML_doc_info_item_p_t Children(vector<XML_elem_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Children(XML_elem_info_item_p_t item);
  XML_doc_info_item_p_t Children(XML_proc_inst_info_item_p_t* array, int count);
  XML_doc_info_item_p_t Children(vector<XML_proc_inst_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Children(XML_proc_inst_info_item_p_t item);
  XML_doc_info_item_p_t Children(XML_comment_info_item_p_t* array, int count);
  XML_doc_info_item_p_t Children(vector<XML_comment_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Children(XML_comment_info_item_p_t item);
  XML_doc_info_item_p_t Children(XML_doc_type_decl_info_item_p_t* array, int count);
  XML_doc_info_item_p_t Children(vector<XML_doc_type_decl_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Children(XML_doc_type_decl_info_item_p_t item);
  const list<XML_info_item_p_t>& Children();
  XML_doc_info_item_p_t Children_clear();
  XML_doc_info_item_p_t Version(XML_string_t &version);
  XML_doc_info_item_p_t Version(XML_string_p_t version);
  XML_doc_info_item_p_t Version(const vector<XML_UCS4_char_t> &version);
  XML_doc_info_item_p_t Version(const vector<char> &version);
  XML_doc_info_item_p_t Version(const char* version);
  XML_string_p_t Version();
  XML_doc_info_item_p_t Standalone(XML_standalone_t standalone);
  XML_standalone_t Standalone();
  XML_doc_info_item_p_t Base_URI(XML_string_t &base_URI);
  XML_doc_info_item_p_t Base_URI(XML_string_p_t base_URI);
  XML_doc_info_item_p_t Base_URI(const vector<XML_UCS4_char_t> &base_URI);
  XML_doc_info_item_p_t Base_URI(const vector<char> &base_URI);
  XML_doc_info_item_p_t Base_URI(const char* base_URI);
  XML_string_p_t Base_URI();
  XML_doc_info_item_p_t Entities(vector<XML_info_item_p_t> &new_children);
  XML_doc_info_item_p_t Entities(XML_internal_ent_info_item_p_t item);
  XML_doc_info_item_p_t Entities(XML_external_ent_info_item_p_t item);
  set<XML_info_item_p_t>& Entities();
  static bool Output(XML_doc_info_item_p_t item, ostream &output);
  static bool Output(XML_doc_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_doc_info_item_p_t Document_element(XML_elem_info_item_p_t document_element);
  const XML_info_item_p_t Document_element();
  XML_doc_info_item_p_t Document_entity(XML_internal_ent_info_item_p_t document_entity);
  XML_doc_info_item_p_t Document_entity(XML_external_ent_info_item_p_t document_entity);
  const XML_info_item_p_t Document_entity();
};

extern ostream &operator<< (ostream &, XML_doc_info_item_t &);
extern ostream &operator<< (ostream &, XML_doc_info_item_p_t);

#endif
