// Clase:    XML_doc_type_decl_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:45 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_doc_type_decl_info_item
#define _H_XML_doc_type_decl_info_item

#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_info_item/XML_info_item.h"
#include "../XML_comment_info_item/XML_comment_info_item.h"
#include "../XML_proc_inst_info_item/XML_proc_inst_info_item.h"
#include "../XML_doc_info_item/XML_doc_info_item.h"
#include "../XML_typedefs.h"
#include <iostream>
using std::ostream;
using std::endl;
#include <string.h>
#include <vector>


class XML_doc_type_decl_info_item : public XML_info_item
{
 private:
  XML_string_p_t system_identifier;
  XML_string_p_t public_identifier;
  list<XML_info_item_p_t> children;
  XML_info_item_p_t parent;// Outsourced.
 public:
  XML_doc_type_decl_info_item();
  ~XML_doc_type_decl_info_item();
  XML_doc_type_decl_info_item_p_t Children(vector<XML_info_item_p_t> &new_children);
  XML_doc_type_decl_info_item_p_t Children(XML_proc_inst_info_item_p_t* array, int count);
  XML_doc_type_decl_info_item_p_t Children(vector<XML_proc_inst_info_item_p_t> &new_children);
  XML_doc_type_decl_info_item_p_t Children(XML_proc_inst_info_item_p_t item);
  XML_doc_type_decl_info_item_p_t Children(XML_comment_info_item_p_t* array, int count);
  XML_doc_type_decl_info_item_p_t Children(vector<XML_comment_info_item_p_t> &new_children);
  XML_doc_type_decl_info_item_p_t Children(XML_comment_info_item_p_t item);
  const list<XML_info_item_p_t>& Children();
  XML_doc_type_decl_info_item_p_t Children_clear();
  static bool Output(XML_doc_type_decl_info_item_p_t item, ostream &output);
  static bool Output(XML_doc_type_decl_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_doc_type_decl_info_item_p_t System_identifier(XML_string_t &system_identifier);
  XML_doc_type_decl_info_item_p_t System_identifier(XML_string_p_t system_identifier);
  XML_doc_type_decl_info_item_p_t System_identifier(const vector<XML_UCS4_char_t> &system_identifier);
  XML_doc_type_decl_info_item_p_t System_identifier(const vector<char> &system_identifier);
  XML_doc_type_decl_info_item_p_t System_identifier(const char* system_identifier);
  XML_string_p_t System_identifier();
  XML_doc_type_decl_info_item_p_t Public_identifier(XML_string_t &public_identifier);
  XML_doc_type_decl_info_item_p_t Public_identifier(XML_string_p_t public_identifier);
  XML_doc_type_decl_info_item_p_t Public_identifier(const vector<XML_UCS4_char_t> &public_identifier);
  XML_doc_type_decl_info_item_p_t Public_identifier(const vector<char> &public_identifier);
  XML_doc_type_decl_info_item_p_t Public_identifier(const char* public_identifier);
  XML_string_p_t Public_identifier();
  XML_doc_type_decl_info_item(XML_doc_info_item_p_t parent);
  XML_doc_type_decl_info_item_p_t Parent(XML_doc_info_item_p_t parent);
  const XML_info_item_p_t Parent();
};

extern ostream &operator<< (ostream &, XML_doc_type_decl_info_item_t &);
extern ostream &operator<< (ostream &, XML_doc_type_decl_info_item_p_t);

#endif
