// Clase:    XML_elem_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:46 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_elem_info_item
#define _H_XML_elem_info_item

#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_string/XML_string.h"
#include "../XML_info_item/XML_info_item.h"
#include "../XML_proc_inst_info_item/XML_proc_inst_info_item.h"
#include "../XML_unexp_ent_ref_info_item/XML_unexp_ent_ref_info_item.h"
#include "../XML_character_info_item/XML_character_info_item.h"
#include "../XML_comment_info_item/XML_comment_info_item.h"
#include "../XML_ent_start_marker_info_item/XML_ent_start_marker_info_item.h"
#include "../XML_ent_end_marker_info_item/XML_ent_end_marker_info_item.h"
#include "../XML_cdata_start_marker_info_item/XML_cdata_start_marker_info_item.h"
#include "../XML_cdata_end_marker_info_item/XML_cdata_end_marker_info_item.h"
#include "../XML_attr_info_item/XML_attr_info_item.h"
#include "../XML_namespace_info_item/XML_namespace_info_item.h"
#include "../XML_doc_info_item/XML_doc_info_item.h"
#include "../XML_typedefs.h"
#include <string.h>
#include <vector>
#include <iostream>
using std::ostream;
using std::endl;


class XML_elem_info_item : public XML_info_item
{
 private:
  XML_string_p_t namespace_name;
  XML_string_p_t local_name;
  XML_string_p_t prefix;
  list<XML_info_item_p_t> children;
  set<XML_info_item_p_t> attributes;
  set<XML_info_item_p_t> namespace_attributes;
  set<XML_info_item_p_t> in_scope_namespaces;
  XML_string_p_t base_URI;
  XML_info_item_p_t parent;// Outsourced.
  unsigned int valid_children_characters_count;
 public:
  XML_elem_info_item();
  ~XML_elem_info_item();
  XML_elem_info_item_p_t Namespace_name(XML_string_t &namespace_name);
  XML_elem_info_item_p_t Namespace_name(XML_string_p_t namespace_name);
  XML_elem_info_item_p_t Namespace_name(const vector<XML_UCS4_char_t> &namespace_name);
  XML_elem_info_item_p_t Namespace_name(const vector<char> &namespace_name);
  XML_elem_info_item_p_t Namespace_name(const char* namespace_name);
  XML_string_p_t Namespace_name();
  XML_elem_info_item_p_t Children(vector<XML_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_elem_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_elem_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_elem_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_proc_inst_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_proc_inst_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_proc_inst_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_unexp_ent_ref_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_unexp_ent_ref_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_unexp_ent_ref_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_character_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_character_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_character_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_string_t &source);
  XML_elem_info_item_p_t Children(XML_string_p_t source_p);
  XML_elem_info_item_p_t Children(const vector<XML_UCS4_char_t> &source);
  XML_elem_info_item_p_t Children(const vector<XML_UCS4_char_t>* source_p);
  XML_elem_info_item_p_t Children(vector<char> &array);
  XML_elem_info_item_p_t Children(const char* array, const char* array_end);
  XML_elem_info_item_p_t Children(const char* array);
  XML_elem_info_item_p_t Children(XML_comment_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_comment_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_comment_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_ent_start_marker_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_ent_start_marker_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_ent_start_marker_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_ent_end_marker_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_ent_end_marker_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_ent_end_marker_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_cdata_start_marker_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_cdata_start_marker_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_cdata_start_marker_info_item_p_t item);
  XML_elem_info_item_p_t Children(XML_cdata_end_marker_info_item_p_t* array, int count);
  XML_elem_info_item_p_t Children(vector<XML_cdata_end_marker_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Children(XML_cdata_end_marker_info_item_p_t item);
  const list<XML_info_item_p_t>& Children();
  XML_elem_info_item_p_t Children_clear();
  XML_elem_info_item_p_t Prefix(XML_string_t &prefix);
  XML_elem_info_item_p_t Prefix(XML_string_p_t prefix);
  XML_elem_info_item_p_t Prefix(const vector<XML_UCS4_char_t> &prefix);
  XML_elem_info_item_p_t Prefix(const vector<char> &prefix);
  XML_elem_info_item_p_t Prefix(const char* prefix);
  XML_string_p_t Prefix();
  XML_elem_info_item_p_t Attributes(vector<XML_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Attributes(XML_attr_info_item_p_t item);
  set<XML_info_item_p_t>& Attributes();
  XML_elem_info_item_p_t Base_URI(XML_string_t &base_URI);
  XML_elem_info_item_p_t Base_URI(XML_string_p_t base_URI);
  XML_elem_info_item_p_t Base_URI(const vector<XML_UCS4_char_t> &base_URI);
  XML_elem_info_item_p_t Base_URI(const vector<char> &base_URI);
  XML_elem_info_item_p_t Base_URI(const char* base_URI);
  XML_string_p_t Base_URI();
  XML_elem_info_item_p_t In_scope_namespaces(vector<XML_info_item_p_t> &new_children);
  XML_elem_info_item_p_t In_scope_namespaces(XML_namespace_info_item_p_t item);
  set<XML_info_item_p_t>& In_scope_namespaces();
  XML_elem_info_item_p_t Child(XML_string_t& name);
  XML_elem_info_item_p_t Child(XML_string_p_t name);
  bool Child_erase(XML_string_t& name);
  bool Child_erase(XML_string_p_t name);
  XML_elem_info_item_p_t Child_extract(XML_string_t& name);
  XML_elem_info_item_p_t Child_extract(XML_string_p_t name);
  XML_elem_info_item_p_t Child(const char* name);
  XML_elem_info_item_p_t Child_extract(const char* name);
  bool Child_erase(const char* name);
  bool Child_erase(XML_info_item_p_t item);
  XML_elem_info_item_p_t Child_extract(XML_elem_info_item_p_t item);
  static bool Output(XML_elem_info_item_p_t item, ostream &output);
  static bool Output(XML_elem_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_elem_info_item_p_t Namespace_attributes(vector<XML_info_item_p_t> &new_children);
  XML_elem_info_item_p_t Namespace_attributes(XML_attr_info_item_p_t item);
  set<XML_info_item_p_t>& Namespace_attributes();
  XML_elem_info_item_p_t Local_name(XML_string_t &local_name);
  XML_elem_info_item_p_t Local_name(XML_string_p_t local_name);
  XML_elem_info_item_p_t Local_name(const vector<XML_UCS4_char_t> &local_name);
  XML_elem_info_item_p_t Local_name(const vector<char> &local_name);
  XML_elem_info_item_p_t Local_name(const char* local_name);
  XML_string_p_t Local_name();
  const XML_attr_info_item_p_t Attribute(XML_string_t &name);
  bool Attribute_erase(XML_string_t &name);
  const XML_attr_info_item_p_t Attribute(const char* name);
  bool Attribute_erase(const char* name);
  XML_elem_info_item(XML_doc_info_item_p_t parent);
  XML_elem_info_item(XML_elem_info_item_p_t parent);
  XML_elem_info_item_p_t Parent(XML_doc_info_item_p_t parent);
  XML_elem_info_item_p_t Parent(XML_elem_info_item_p_t parent);
  const XML_info_item_p_t Parent();
};

extern ostream &operator<< (ostream &, XML_elem_info_item_t &);
extern ostream &operator<< (ostream &, XML_elem_info_item_p_t);

#endif
