// Clase:    XML_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:47 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_info_item
#define _H_XML_info_item

#include "../XML_typedefs.h"
#include <iostream>
using std::ostream;


class XML_info_item
{
 public:
  enum XML_info_item_type
  {
    info_item                    = 0x00000000,
    doc_info_item                = 0x00000001,
    elem_info_item               = 0x00000002,
    attr_info_item               = 0x00000004,
    proc_inst_info_item          = 0x00000008,
    unexp_ent_ref_info_item      = 0x00000010,
    character_info_item          = 0x00000020,
    comment_info_item            = 0x00000040,
    doc_type_decl_info_item      = 0x00000080,
    internal_ent_info_item       = 0x00000100,
    external_ent_info_item       = 0x00000200,
    unparsed_ent_info_item       = 0x00000400,
    notation_info_item           = 0x00000800,
    ent_start_marker_info_item   = 0x00001000,
    ent_end_marker_info_item     = 0x00002000,
    namespace_info_item          = 0x00004000,
    cdata_start_marker_info_item = 0x00008000,
    cdata_end_marker_info_item   = 0x00010000
  };
  typedef enum XML_info_item_type XML_info_item_type_t;
 private:
  XML_info_item_type_t type;
  unsigned int output_width_hint;
 public:
  XML_info_item();
  ~XML_info_item();
  static bool Output(XML_info_item_p_t item, ostream &output);
  static bool Output(XML_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_info_item_type_t Type(XML_info_item_type_t type);
  XML_info_item_type_t Type();
  unsigned int Output_width_hint(unsigned int output_width_hint);
  unsigned int Output_width_hint();
};

extern ostream &operator<< (ostream &, XML_info_item_t &);
extern ostream &operator<< (ostream &, XML_info_item_p_t);

#endif
