// Clase:    XML_internal_ent_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:48 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_internal_ent_info_item
#define _H_XML_internal_ent_info_item

#include "../XML_string/XML_string.h"
#include "../XML_info_item/XML_info_item.h"
#include "../XML_typedefs.h"
#include <string.h>
#include <vector>
using std::vector;
#include <iostream>
using std::ostream;
using std::endl;


class XML_internal_ent_info_item : public XML_info_item
{
 private:
  XML_string_p_t name;
  XML_string_p_t content;
 public:
  XML_internal_ent_info_item();
  ~XML_internal_ent_info_item();
  XML_internal_ent_info_item_p_t Content(XML_string_t &content);
  XML_internal_ent_info_item_p_t Content(XML_string_p_t content);
  XML_internal_ent_info_item_p_t Content(const vector<XML_UCS4_char_t> &content);
  XML_internal_ent_info_item_p_t Content(const vector<char> &content);
  XML_internal_ent_info_item_p_t Content(const char* content);
  XML_string_p_t Content();
  static bool Output(XML_internal_ent_info_item_p_t item, ostream &output);
  static bool Output(XML_internal_ent_info_item_p_t item, ostream &output, unsigned int indentation);
  XML_internal_ent_info_item_p_t Name(XML_string_t &name);
  XML_internal_ent_info_item_p_t Name(XML_string_p_t name);
  XML_internal_ent_info_item_p_t Name(const vector<XML_UCS4_char_t> &name);
  XML_internal_ent_info_item_p_t Name(const vector<char> &name);
  XML_internal_ent_info_item_p_t Name(const char* name);
  XML_string_p_t Name();
};

extern ostream &operator<< (ostream &, XML_internal_ent_info_item_t &);
extern ostream &operator<< (ostream &, XML_internal_ent_info_item_p_t);

#endif
