// Clase:    XML_namespace_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:48 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "XML_namespace_info_item.h"

/////////////
// XML_namespace_info_item - Class constructor.
// no arguments.
//public:
XML_namespace_info_item::XML_namespace_info_item()
{
  this->prefix = NULL;
  this->namespace_name = NULL;
  Type(namespace_info_item);
}

/////////////
// ~XML_namespace_info_item - Class destructor.
// no arguments.
//public:
XML_namespace_info_item::~XML_namespace_info_item()
{
  if (prefix)
    {
      delete prefix;
      prefix = NULL;
    }
  if (namespace_name)
    {
      delete namespace_name;
      namespace_name = NULL;
    }
}


using std::vector;


/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Namespace_name(XML_string_t &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  *(this->namespace_name) = namespace_name;
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Namespace_name(XML_string_p_t namespace_name)
{
  if (!namespace_name)
    {
      if (this->namespace_name)
        {
          delete this->namespace_name;
          this->namespace_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  *(this->namespace_name) = *namespace_name;
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Namespace_name(const vector<XML_UCS4_char_t> &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  this->namespace_name->UCS4(namespace_name);
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Namespace_name(const vector<char> &namespace_name)
{
  if (!(&namespace_name)) return this;
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  this->namespace_name->UTF8(namespace_name);
  return this;
}

/////////////
// Namespace_name - Set [namespace name] property.
// namespace_name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Namespace_name(const char* namespace_name)
{
  if (!namespace_name)
    {
      if (this->namespace_name)
        {
          delete this->namespace_name;
          this->namespace_name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->namespace_name)
    this->namespace_name = new XML_string();
  vector<char> namespace_name_vector;
  for (unsigned int index = 0; index < strlen(namespace_name); ++index)
    namespace_name_vector.push_back(namespace_name[index]);
  return Namespace_name(namespace_name_vector);
}

/////////////
// Namespace_name - Access to [namespace name] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_namespace_info_item::Namespace_name()
{
  return this->namespace_name;
}




using std::vector;


/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Prefix(XML_string_t &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  *(this->prefix) = prefix;
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Prefix(XML_string_p_t prefix)
{
  if (!prefix)
    {
      if (this->prefix)
        {
          delete this->prefix;
          this->prefix = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->prefix)
    this->prefix = new XML_string();
  *(this->prefix) = *prefix;
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Prefix(const vector<XML_UCS4_char_t> &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  this->prefix->UCS4(prefix);
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Prefix(const vector<char> &prefix)
{
  if (!(&prefix)) return this;
  if (!this->prefix)
    this->prefix = new XML_string();
  this->prefix->UTF8(prefix);
  return this;
}

/////////////
// Prefix - Set [prefix] property.
// prefix: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_namespace_info_item_p_t XML_namespace_info_item::Prefix(const char* prefix)
{
  if (!prefix)
    {
      if (this->prefix)
        {
          delete this->prefix;
          this->prefix = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->prefix)
    this->prefix = new XML_string();
  vector<char> prefix_vector;
  for (unsigned int index = 0; index < strlen(prefix); ++index)
    prefix_vector.push_back(prefix[index]);
  return Prefix(prefix_vector);
}

/////////////
// Prefix - Access to [prefix] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_namespace_info_item::Prefix()
{
  return this->prefix;
}
