// Clase:    XML_proc_inst_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:48 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "XML_proc_inst_info_item.h"

/////////////
// XML_proc_inst_info_item - Class constructor.
// no arguments.
//public:
XML_proc_inst_info_item::XML_proc_inst_info_item()
{
  this->target = NULL;
  this->content = NULL;
  this->base_URI = NULL;
  this->parent = NULL;
  Type(proc_inst_info_item);
}

/////////////
// ~XML_proc_inst_info_item - Class destructor.
// no arguments.
//public:
XML_proc_inst_info_item::~XML_proc_inst_info_item()
{
  if (target)
    {
      delete target;
      target = NULL;
    }
  if (content)
    {
      delete content;
      content = NULL;
    }
  if (base_URI)
    {
      delete base_URI;
      base_URI = NULL;
    }
}


using std::vector;


/////////////
// Content - Set [content] property.
// content: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Content(XML_string_t &content)
{
  if (!(&content)) return this;
  if (!this->content)
    this->content = new XML_string();
  *(this->content) = content;
  return this;
}

/////////////
// Content - Set [content] property.
// content: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Content(XML_string_p_t content)
{
  if (!content)
    {
      if (this->content)
        {
          delete this->content;
          this->content = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->content)
    this->content = new XML_string();
  *(this->content) = *content;
  return this;
}

/////////////
// Content - Set [content] property.
// content: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Content(const vector<XML_UCS4_char_t> &content)
{
  if (!(&content)) return this;
  if (!this->content)
    this->content = new XML_string();
  this->content->UCS4(content);
  return this;
}

/////////////
// Content - Set [content] property.
// content: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Content(const vector<char> &content)
{
  if (!(&content)) return this;
  if (!this->content)
    this->content = new XML_string();
  this->content->UTF8(content);
  return this;
}

/////////////
// Content - Set [content] property.
// content: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Content(const char* content)
{
  if (!content)
    {
      if (this->content)
        {
          delete this->content;
          this->content = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->content)
    this->content = new XML_string();
  vector<char> content_vector;
  for (unsigned int index = 0; index < strlen(content); ++index)
    content_vector.push_back(content[index]);
  return Content(content_vector);
}

/////////////
// Content - Access to [content] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_proc_inst_info_item::Content()
{
  return this->content;
}




using std::vector;


/////////////
// Base_URI - Set [base URI] property.
// base_URI: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Base_URI(XML_string_t &base_URI)
{
  if (!(&base_URI)) return this;
  if (!this->base_URI)
    this->base_URI = new XML_string();
  *(this->base_URI) = base_URI;
  return this;
}

/////////////
// Base_URI - Set [base URI] property.
// base_URI: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Base_URI(XML_string_p_t base_URI)
{
  if (!base_URI)
    {
      if (this->base_URI)
        {
          delete this->base_URI;
          this->base_URI = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->base_URI)
    this->base_URI = new XML_string();
  *(this->base_URI) = *base_URI;
  return this;
}

/////////////
// Base_URI - Set [base URI] property.
// base_URI: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Base_URI(const vector<XML_UCS4_char_t> &base_URI)
{
  if (!(&base_URI)) return this;
  if (!this->base_URI)
    this->base_URI = new XML_string();
  this->base_URI->UCS4(base_URI);
  return this;
}

/////////////
// Base_URI - Set [base URI] property.
// base_URI: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Base_URI(const vector<char> &base_URI)
{
  if (!(&base_URI)) return this;
  if (!this->base_URI)
    this->base_URI = new XML_string();
  this->base_URI->UTF8(base_URI);
  return this;
}

/////////////
// Base_URI - Set [base URI] property.
// base_URI: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Base_URI(const char* base_URI)
{
  if (!base_URI)
    {
      if (this->base_URI)
        {
          delete this->base_URI;
          this->base_URI = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->base_URI)
    this->base_URI = new XML_string();
  vector<char> base_URI_vector;
  for (unsigned int index = 0; index < strlen(base_URI); ++index)
    base_URI_vector.push_back(base_URI[index]);
  return Base_URI(base_URI_vector);
}

/////////////
// Base_URI - Access to [base URI] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_proc_inst_info_item::Base_URI()
{
  return this->base_URI;
}



using std::vector;


/////////////
// Target - Set [target] property.
// target: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Target(XML_string_t &target)
{
  if (!(&target)) return this;
  if (!this->target)
    this->target = new XML_string();
  *(this->target) = target;
  return this;
}

/////////////
// Target - Set [target] property.
// target: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Target(XML_string_p_t target)
{
  if (!target)
    {
      if (this->target)
        {
          delete this->target;
          this->target = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->target)
    this->target = new XML_string();
  *(this->target) = *target;
  return this;
}

/////////////
// Target - Set [target] property.
// target: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Target(const vector<XML_UCS4_char_t> &target)
{
  if (!(&target)) return this;
  if (!this->target)
    this->target = new XML_string();
  this->target->UCS4(target);
  return this;
}

/////////////
// Target - Set [target] property.
// target: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Target(const vector<char> &target)
{
  if (!(&target)) return this;
  if (!this->target)
    this->target = new XML_string();
  this->target->UTF8(target);
  return this;
}

/////////////
// Target - Set [target] property.
// target: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Target(const char* target)
{
  if (!target)
    {
      if (this->target)
        {
          delete this->target;
          this->target = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->target)
    this->target = new XML_string();
  vector<char> target_vector;
  for (unsigned int index = 0; index < strlen(target); ++index)
    target_vector.push_back(target[index]);
  return Target(target_vector);
}

/////////////
// Target - Access to [target] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_proc_inst_info_item::Target()
{
  return this->target;
}





/////////////
// XML_proc_inst_info_item - Class constructor.
// parent: *_info_item to be the [parent] of the new object.
//         The new object is automatically inserted in [parent].
//public:
XML_proc_inst_info_item::XML_proc_inst_info_item(XML_doc_info_item_p_t parent)
{
  this->target = NULL;
  this->content = NULL;
  this->base_URI = NULL;
  this->parent = NULL;
  Type(proc_inst_info_item);
  parent->Children(this);
  Parent(parent);
}

/////////////
// XML_proc_inst_info_item - Class constructor.
// parent: *_info_item to be the [parent] of the new object.
//         The new object is automatically inserted in [parent].
//public:
XML_proc_inst_info_item::XML_proc_inst_info_item(XML_elem_info_item_p_t parent)
{
  this->target = NULL;
  this->content = NULL;
  this->base_URI = NULL;
  this->parent = NULL;
  Type(proc_inst_info_item);
  parent->Children(this);
  Parent(parent);
}

/////////////
// XML_proc_inst_info_item - Class constructor.
// parent: *_info_item to be the [parent] of the new object.
//         The new object is automatically inserted in [parent].
//public:
XML_proc_inst_info_item::XML_proc_inst_info_item(XML_doc_type_decl_info_item_p_t parent)
{
  this->target = NULL;
  this->content = NULL;
  this->base_URI = NULL;
  this->parent = NULL;
  Type(proc_inst_info_item);
  parent->Children(this);
  Parent(parent);
}


/////////////
// Parent - Set [parent] property.
// parent: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Parent(XML_doc_info_item_p_t parent)
{
  this->parent = parent;
  
  return this;
}
/////////////
// Parent - Set [parent] property.
// parent: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Parent(XML_elem_info_item_p_t parent)
{
  this->parent = parent;
  
  return this;
}
/////////////
// Parent - Set [parent] property.
// parent: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_proc_inst_info_item_p_t XML_proc_inst_info_item::Parent(XML_doc_type_decl_info_item_p_t parent)
{
  this->parent = parent;
  
  return this;
}

/////////////
// Parent - Access to [parent] property.
// no arguments.
// returns property value.
//public:
const XML_info_item_p_t XML_proc_inst_info_item::Parent()
{
  return (XML_info_item_p_t)(this->parent);
}
