// Clase:    XML_proc_inst_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:49 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#ifndef _H_XML_proc_inst_info_item
#define _H_XML_proc_inst_info_item

#include <list> // STL
using std::list;
#include <set> // STL
using std::set;
#include <vector> // STL
using std::vector;
#include "../XML_string/XML_string.h"
#include "../XML_info_item/XML_info_item.h"
#include "../XML_doc_info_item/XML_doc_info_item.h"
#include "../XML_elem_info_item/XML_elem_info_item.h"
#include "../XML_doc_type_decl_info_item/XML_doc_type_decl_info_item.h"
#include "../XML_typedefs.h"
#include <string.h>
#include <vector>


class XML_proc_inst_info_item : public XML_info_item
{
 private:
  XML_string_p_t target;
  XML_string_p_t content;
  XML_string_p_t base_URI;
  XML_info_item_p_t parent;// Outsourced.
 public:
  XML_proc_inst_info_item();
  ~XML_proc_inst_info_item();
  XML_proc_inst_info_item_p_t Content(XML_string_t &content);
  XML_proc_inst_info_item_p_t Content(XML_string_p_t content);
  XML_proc_inst_info_item_p_t Content(const vector<XML_UCS4_char_t> &content);
  XML_proc_inst_info_item_p_t Content(const vector<char> &content);
  XML_proc_inst_info_item_p_t Content(const char* content);
  XML_string_p_t Content();
  XML_proc_inst_info_item_p_t Base_URI(XML_string_t &base_URI);
  XML_proc_inst_info_item_p_t Base_URI(XML_string_p_t base_URI);
  XML_proc_inst_info_item_p_t Base_URI(const vector<XML_UCS4_char_t> &base_URI);
  XML_proc_inst_info_item_p_t Base_URI(const vector<char> &base_URI);
  XML_proc_inst_info_item_p_t Base_URI(const char* base_URI);
  XML_string_p_t Base_URI();
  XML_proc_inst_info_item_p_t Target(XML_string_t &target);
  XML_proc_inst_info_item_p_t Target(XML_string_p_t target);
  XML_proc_inst_info_item_p_t Target(const vector<XML_UCS4_char_t> &target);
  XML_proc_inst_info_item_p_t Target(const vector<char> &target);
  XML_proc_inst_info_item_p_t Target(const char* target);
  XML_string_p_t Target();
  XML_proc_inst_info_item(XML_doc_info_item_p_t parent);
  XML_proc_inst_info_item(XML_elem_info_item_p_t parent);
  XML_proc_inst_info_item(XML_doc_type_decl_info_item_p_t parent);
  XML_proc_inst_info_item_p_t Parent(XML_doc_info_item_p_t parent);
  XML_proc_inst_info_item_p_t Parent(XML_elem_info_item_p_t parent);
  XML_proc_inst_info_item_p_t Parent(XML_doc_type_decl_info_item_p_t parent);
  const XML_info_item_p_t Parent();
};



#endif
