// Made from http://www.w3c.org/WD-MathML2-20000328/byalpha.html
// with the following Python code:
//   import sys
//   import re
//   f = open("byalpha.html")
//   buffer = f.read()
//   f.close()
//   re_entity = re.compile("^<td>([a-zA-Z]+)</td><td>([0-9a-fA-F]+)</td>",
//                          re.MULTILINE)
//   for match in re_entity.findall(buffer):
//     sys.stdout.write('  {"&' + str(match[0]) + ';", 0x'
//                      + '0'*(8-len(match[1])) + str(match[1]) + '},\n')
//
// 2000-08-16 Alberto González Palomo <matmota@linuxfreak.com>

#ifndef _H_MATHML_ENTITIES
#define _H_MATHML_ENTITIES

//typedef struct
//{
//  char* name;
//  long  UCS4_code_point;
//} MathML_entity_entry;

//const long ENTITY_LIST_TERMINATOR = 0xFFFFFFFF;// Invalid UCS4 code point.

SGML_entity_entry mathml_entity_list[] =
{
  {"&aacute;", 0x000000E1},
  {"&Aacute;", 0x000000C1},
  {"&abreve;", 0x00000103},
  {"&Abreve;", 0x00000102},
  {"&ac;", 0x0000290F},
  {"&acd;", 0x0000223F},
  {"&acE;", 0x000029DB},
  {"&acirc;", 0x000000E2},
  {"&Acirc;", 0x000000C2},
  {"&acute;", 0x000000B4},
  {"&acy;", 0x00000430},
  {"&Acy;", 0x00000410},
  {"&aelig;", 0x000000E6},
  {"&AElig;", 0x000000C6},
  {"&afr;", 0x0001D51E},
  {"&Afr;", 0x0001D504},
  {"&agrave;", 0x000000E0},
  {"&Agrave;", 0x000000C0},
  {"&aleph;", 0x00002135},
  {"&alpha;", 0x000003B1},
  {"&amacr;", 0x00000101},
  {"&Amacr;", 0x00000100},
  {"&amalg;", 0x00002A3F},
  {"&amp;", 0x00000026},
  {"&and;", 0x00002227},
  {"&And;", 0x00002A53},
  {"&andand;", 0x00002A55},
  {"&andd;", 0x00002A5C},
  {"&andslope;", 0x0001D542},
  {"&andv;", 0x00002A5A},
  {"&ang;", 0x00002220},
  {"&ange;", 0x000029A4},
  {"&angmsd;", 0x00002221},
  {"&angmsdaa;", 0x000029A8},
  {"&angmsdab;", 0x000029A9},
  {"&angmsdac;", 0x000029AA},
  {"&angmsdad;", 0x000029AB},
  {"&angmsdae;", 0x000029AC},
  {"&angmsdaf;", 0x000029AD},
  {"&angmsdag;", 0x000029AE},
  {"&angmsdah;", 0x000029AF},
  {"&angrt;", 0x0000221F},
  {"&angrtvbd;", 0x0000299D},
  {"&angsph;", 0x00002222},
  {"&angst;", 0x0000212B},
  {"&angzarr;", 0x0000237C},
  {"&aogon;", 0x00000105},
  {"&Aogon;", 0x00000104},
  {"&Aopf;", 0x0001D538},
  {"&ap;", 0x00002248},
  {"&apacir;", 0x00002A6F},
  {"&ape;", 0x0000224A},
  {"&apE;", 0x0000224A},
  {"&apid;", 0x0000224B},
  {"&apos;", 0x00000027},
  {"&aring;", 0x000000E5},
  {"&Aring;", 0x000000C5},
  {"&ascr;", 0x0001D4B6},
  {"&Ascr;", 0x0001D49C},
  {"&ast;", 0x0000002A},
  {"&asymp;", 0x0000224D},
  {"&atilde;", 0x000000E3},
  {"&Atilde;", 0x000000C3},
  {"&auml;", 0x000000E4},
  {"&Auml;", 0x000000C4},
  {"&awconint;", 0x00002233},
  {"&awint;", 0x00002A11},
  {"&Barv;", 0x00002AE7},
  {"&barvee;", 0x000022BD},
  {"&barwed;", 0x000022BC},
  {"&Barwed;", 0x00002306},
  {"&bbrk;", 0x000023B5},
  {"&bcong;", 0x0000224C},
  {"&bcy;", 0x00000431},
  {"&Bcy;", 0x00000411},
  {"&becaus;", 0x00002235},
  {"&bemptyv;", 0x000029B0},
  {"&bepsi;", 0x0000213C},
  {"&bernou;", 0x0000212C},
  {"&beta;", 0x000003B2},
  {"&beth;", 0x00002136},
  {"&bfr;", 0x0001D51F},
  {"&Bfr;", 0x0001D505},
  {"&blank;", 0x00002423},
  {"&block;", 0x00002588},
  {"&bnot;", 0x00002310},
  {"&bNot;", 0x00002AED},
  {"&Bopf;", 0x0001D539},
  {"&bottom;", 0x000022A5},
  {"&bowtie;", 0x000022C8},
  {"&boxbox;", 0x000029C9},
  {"&boxdl;", 0x00002510},
  {"&boxdL;", 0x00002555},
  {"&boxDl;", 0x00002556},
  {"&boxDL;", 0x00002557},
  {"&boxdr;", 0x0000250C},
  {"&boxdR;", 0x00002552},
  {"&boxDr;", 0x00002553},
  {"&boxDR;", 0x00002554},
  {"&boxh;", 0x00002500},
  {"&boxH;", 0x00002550},
  {"&boxhd;", 0x0000252C},
  {"&boxhD;", 0x00002565},
  {"&boxHd;", 0x00002564},
  {"&boxHD;", 0x00002566},
  {"&boxhu;", 0x00002534},
  {"&boxhU;", 0x00002568},
  {"&boxHu;", 0x00002567},
  {"&boxHU;", 0x00002569},
  {"&boxul;", 0x00002518},
  {"&boxuL;", 0x0000255B},
  {"&boxUl;", 0x0000255C},
  {"&boxUL;", 0x0000255D},
  {"&boxur;", 0x00002514},
  {"&boxuR;", 0x00002558},
  {"&boxUr;", 0x00002559},
  {"&boxUR;", 0x0000255A},
  {"&boxv;", 0x00002502},
  {"&boxV;", 0x00002551},
  {"&boxvh;", 0x0000253C},
  {"&boxvH;", 0x0000256A},
  {"&boxVh;", 0x0000256B},
  {"&boxVH;", 0x0000256C},
  {"&boxvl;", 0x00002524},
  {"&boxvL;", 0x00002561},
  {"&boxVl;", 0x00002562},
  {"&boxVL;", 0x00002563},
  {"&boxvr;", 0x0000251C},
  {"&boxvR;", 0x0000255E},
  {"&boxVr;", 0x0000255F},
  {"&boxVR;", 0x00002560},
  {"&bprime;", 0x00002035},
  {"&breve;", 0x000002D8},
  {"&brvbar;", 0x000000A6},
  {"&bscr;", 0x0001D4B7},
  {"&Bscr;", 0x0001D49D},
  {"&bsemi;", 0x0000204F},
  {"&bsim;", 0x0000223D},
  {"&bsime;", 0x000022CD},
  {"&bsol;", 0x0000005C},
  {"&bsolb;", 0x000029C5},
  {"&bull;", 0x00002022},
  {"&bump;", 0x0000224E},
  {"&bumpe;", 0x0000224F},
  {"&bumpE;", 0x00002AAE},
  {"&cacute;", 0x00000107},
  {"&Cacute;", 0x00000106},
  {"&cap;", 0x00002229},
  {"&Cap;", 0x000022D2},
  {"&capand;", 0x00002A44},
  {"&capbrcup;", 0x00002A49},
  {"&capcap;", 0x00002A4B},
  {"&capcup;", 0x00002A47},
  {"&capdot;", 0x00002A40},
  {"&caret;", 0x00002041},
  {"&caron;", 0x000002C7},
  {"&ccaps;", 0x00002A4D},
  {"&ccaron;", 0x0000010D},
  {"&Ccaron;", 0x0000010C},
  {"&ccedil;", 0x000000E7},
  {"&Ccedil;", 0x000000C7},
  {"&ccirc;", 0x00000109},
  {"&Ccirc;", 0x00000108},
  {"&Cconint;", 0x00002230},
  {"&ccups;", 0x00002A4C},
  {"&ccupssm;", 0x00002A50},
  {"&cdot;", 0x0000010B},
  {"&Cdot;", 0x0000010A},
  {"&cedil;", 0x000000B8},
  {"&cemptyv;", 0x000029B2},
  {"&cent;", 0x000000A2},
  {"&cfr;", 0x0001D520},
  {"&Cfr;", 0x0001D506},
  {"&chcy;", 0x00000447},
  {"&CHcy;", 0x00000427},
  {"&check;", 0x00002713},
  {"&chi;", 0x000003C7},
  {"&cir;", 0x000025CB},
  {"&circ;", 0x0000005E},
  {"&cire;", 0x00002257},
  {"&cirE;", 0x000029C3},
  {"&cirfnint;", 0x00002A10},
  {"&cirmid;", 0x00002AEF},
  {"&cirscir;", 0x000029C2},
  {"&clubs;", 0x00002663},
  {"&colon;", 0x0000003A},
  {"&Colon;", 0x00002237},
  {"&colone;", 0x00002254},
  {"&Colone;", 0x00002A74},
  {"&comma;", 0x0000002C},
  {"&commat;", 0x00000040},
  {"&comp;", 0x00002201},
  {"&compfn;", 0x00002218},
  {"&cong;", 0x00002245},
  {"&congdot;", 0x00002A6D},
  {"&conint;", 0x0000222E},
  {"&Conint;", 0x0000222F},
  {"&Copf;", 0x0001D53A},
  {"&coprod;", 0x00002210},
  {"&copy;", 0x000000A9},
  {"&copysr;", 0x00002117},
  {"&cross;", 0x00002717},
  {"&cscr;", 0x0001D4B8},
  {"&Cscr;", 0x0001D49E},
  {"&csub;", 0x00002ACF},
  {"&csube;", 0x00002AD1},
  {"&csup;", 0x00002AD0},
  {"&csupe;", 0x00002AD2},
  {"&ctdot;", 0x000022EF},
  {"&cudarrl;", 0x00002938},
  {"&cudarrr;", 0x00002935},
  {"&cuepr;", 0x000022DE},
  {"&cuesc;", 0x000022DF},
  {"&cularr;", 0x000021B6},
  {"&cularrp;", 0x0000293D},
  {"&cup;", 0x0000222A},
  {"&Cup;", 0x000022D3},
  {"&cupbrcap;", 0x00002A48},
  {"&cupcap;", 0x00002A46},
  {"&cupcup;", 0x00002A4A},
  {"&cupdot;", 0x0000228D},
  {"&cupor;", 0x00002A45},
  {"&curarr;", 0x000021B7},
  {"&curarrm;", 0x0000293C},
  {"&curren;", 0x000000A4},
  {"&cuvee;", 0x000022CE},
  {"&cuwed;", 0x000022CF},
  {"&cwconint;", 0x00002232},
  {"&cwint;", 0x00002231},
  {"&cylcty;", 0x0000232D},
  {"&dagger;", 0x00002020},
  {"&dagger;", 0x00002020},
  {"&Dagger;", 0x00002021},
  {"&Dagger;", 0x00002021},
  {"&daleth;", 0x00002138},
  {"&darr;", 0x00002193},
  {"&dArr;", 0x000021D3},
  {"&Darr;", 0x000021A1},
  {"&dash;", 0x00002010},
  {"&dashv;", 0x000022A3},
  {"&Dashv;", 0x00002AE4},
  {"&dblac;", 0x000002DD},
  {"&dcaron;", 0x0000010F},
  {"&Dcaron;", 0x0000010E},
  {"&dcy;", 0x00000434},
  {"&Dcy;", 0x00000414},
  {"&ddarr;", 0x000021CA},
  {"&DDotrahd;", 0x00002911},
  {"&deg;", 0x000000B0},
  {"&delta;", 0x000003B4},
  {"&Delta;", 0x00000394},
  {"&demptyv;", 0x000029B1},
  {"&dfisht;", 0x0000297F},
  {"&dfr;", 0x0001D521},
  {"&Dfr;", 0x0001D507},
  {"&dHar;", 0x00002965},
  {"&dharl;", 0x000021C3},
  {"&dharr;", 0x000021C2},
  {"&diam;", 0x000022C4},
  {"&diams;", 0x00002666},
  {"&die;", 0x000000A8},
  {"&disin;", 0x000022F2},
  {"&divide;", 0x000000F7},
  {"&divonx;", 0x000022C7},
  {"&djcy;", 0x00000452},
  {"&DJcy;", 0x00000402},
  {"&dlcorn;", 0x0000231E},
  {"&dlcrop;", 0x0000230D},
  {"&dollar;", 0x00000024},
  {"&Dopf;", 0x0001D53B},
  {"&dot;", 0x000002D9},
  {"&Dot;", 0x000000A8},
  {"&DotDot;", 0x000020DC},
  {"&drcorn;", 0x0000231F},
  {"&drcrop;", 0x0000230C},
  {"&dscr;", 0x0001D4B9},
  {"&Dscr;", 0x0001D49F},
  {"&dscy;", 0x00000455},
  {"&DScy;", 0x00000405},
  {"&dsol;", 0x00002052},
  {"&dstrok;", 0x00000111},
  {"&Dstrok;", 0x00000110},
  {"&dtdot;", 0x000022F1},
  {"&dtri;", 0x000025BF},
  {"&dtrif;", 0x000025BE},
  {"&duarr;", 0x000021F5},
  {"&duhar;", 0x0000296F},
  {"&dwangle;", 0x000029A6},
  {"&dzcy;", 0x0000045F},
  {"&DZcy;", 0x0000040F},
  {"&dzigrarr;", 0x000021DD},
  {"&eacute;", 0x000000E9},
  {"&Eacute;", 0x000000C9},
  {"&easter;", 0x0000225B},
  {"&ecaron;", 0x0000011B},
  {"&Ecaron;", 0x0000011A},
  {"&ecir;", 0x00002256},
  {"&ecirc;", 0x000000EA},
  {"&Ecirc;", 0x000000CA},
  {"&ecolon;", 0x00002255},
  {"&ecy;", 0x0000044D},
  {"&Ecy;", 0x0000042D},
  {"&eDDot;", 0x00002A77},
  {"&edot;", 0x00000117},
  {"&eDot;", 0x00002251},
  {"&Edot;", 0x00000116},
  {"&efDot;", 0x00002252},
  {"&efr;", 0x0001D522},
  {"&Efr;", 0x0001D508},
  {"&eg;", 0x00002A9A},
  {"&egrave;", 0x000000E8},
  {"&Egrave;", 0x000000C8},
  {"&egs;", 0x000022DD},
  {"&egsdot;", 0x00002A98},
  {"&el;", 0x00002A99},
  {"&ell;", 0x00002113},
  {"&els;", 0x000022DC},
  {"&elsdot;", 0x00002A97},
  {"&emacr;", 0x00000113},
  {"&Emacr;", 0x00000112},
  {"&emptyv;", 0x00002205},
  {"&emsp;", 0x00002003},
  {"&eng;", 0x0000014B},
  {"&ENG;", 0x0000014A},
  {"&ensp;", 0x00002002},
  {"&eogon;", 0x00000119},
  {"&Eogon;", 0x00000118},
  {"&Eopf;", 0x0001D53C},
  {"&epar;", 0x000022D5},
  {"&eparsl;", 0x000029E3},
  {"&eplus;", 0x00002A71},
  {"&epsi;", 0x000003B5},
  {"&epsiv;", 0x0000025B},
  {"&equals;", 0x0000003D},
  {"&equest;", 0x0000225F},
  {"&equiv;", 0x00002261},
  {"&equivDD;", 0x00002A78},
  {"&eqvparsl;", 0x000029E5},
  {"&erarr;", 0x00002971},
  {"&erDot;", 0x00002253},
  {"&escr;", 0x0001D4BA},
  {"&Escr;", 0x0001D4A0},
  {"&esdot;", 0x00002250},
  {"&esim;", 0x00002242},
  {"&Esim;", 0x00002A73},
  {"&eta;", 0x000003B7},
  {"&eth;", 0x000000F0},
  {"&ETH;", 0x000000D0},
  {"&euml;", 0x000000EB},
  {"&Euml;", 0x000000CB},
  {"&excl;", 0x00000021},
  {"&exist;", 0x00002203},
  {"&fcy;", 0x00000444},
  {"&Fcy;", 0x00000424},
  {"&female;", 0x00002640},
  {"&ffilig;", 0x0000FB03},
  {"&fflig;", 0x0000FB00},
  {"&ffllig;", 0x0000FB04},
  {"&ffr;", 0x0001D523},
  {"&Ffr;", 0x0001D509},
  {"&filig;", 0x0000FB01},
  {"&flat;", 0x0000266D},
  {"&fllig;", 0x0000FB02},
  {"&fnof;", 0x00000192},
  {"&Fopf;", 0x0001D53D},
  {"&forall;", 0x00002200},
  {"&fork;", 0x000022D4},
  {"&forkv;", 0x00002AD9},
  {"&fpartint;", 0x00002A0D},
  {"&frown;", 0x00002322},
  {"&fscr;", 0x0001D4BB},
  {"&Fscr;", 0x0001D4A1},
  {"&gacute;", 0x000001F5},
  {"&gamma;", 0x000003B3},
  {"&Gamma;", 0x00000393},
  {"&gammad;", 0x000003DC},
  {"&Gammad;", 0x000003DC},
  {"&gap;", 0x00002273},
  {"&gbreve;", 0x0000011F},
  {"&Gbreve;", 0x0000011E},
  {"&Gcedil;", 0x00000122},
  {"&gcirc;", 0x0000011D},
  {"&Gcirc;", 0x0000011C},
  {"&gcy;", 0x00000433},
  {"&Gcy;", 0x00000413},
  {"&gdot;", 0x00000121},
  {"&Gdot;", 0x00000120},
  {"&ge;", 0x00002265},
  {"&gE;", 0x00002267},
  {"&gel;", 0x000022DB},
  {"&gEl;", 0x000022DB},
  {"&ges;", 0x00002A7E},
  {"&gescc;", 0x00002AA9},
  {"&gesdot;", 0x00002A80},
  {"&gesdoto;", 0x00002A82},
  {"&gesdotol;", 0x00002A84},
  {"&gesles;", 0x00002A94},
  {"&gfr;", 0x0001D524},
  {"&Gfr;", 0x0001D50A},
  {"&Gg;", 0x000022D9},
  {"&gimel;", 0x00002137},
  {"&gjcy;", 0x00000453},
  {"&GJcy;", 0x00000403},
  {"&gl;", 0x00002277},
  {"&gla;", 0x00002AA5},
  {"&glE;", 0x00002A92},
  {"&glj;", 0x00002AA4},
  {"&gnap;", 0x00002A8A},
  {"&gne;", 0x00002269},
  {"&gnE;", 0x00002269},
  {"&gnsim;", 0x000022E7},
  {"&Gopf;", 0x0001D53E},
  {"&grave;", 0x00000060},
  {"&gscr;", 0x0001D4BC},
  {"&Gscr;", 0x0001D4A2},
  {"&gsim;", 0x00002273},
  {"&gsime;", 0x00002A8E},
  {"&gsiml;", 0x00002A90},
  {"&gt;", 0x0000003E},
  {"&Gt;", 0x0000226B},
  {"&gtcc;", 0x00002AA7},
  {"&gtcir;", 0x00002A7A},
  {"&gtdot;", 0x000022D7},
  {"&gtlPar;", 0x00002995},
  {"&gtquest;", 0x00002A7C},
  {"&gtrarr;", 0x00002978},
  {"&hairsp;", 0x0000200A},
  {"&half;", 0x000000BD},
  {"&hamilt;", 0x0000210B},
  {"&hardcy;", 0x0000044A},
  {"&HARDcy;", 0x0000042A},
  {"&harr;", 0x00002194},
  {"&hArr;", 0x000021D4},
  {"&harrcir;", 0x00002948},
  {"&harrw;", 0x000021AD},
  {"&hcirc;", 0x00000125},
  {"&Hcirc;", 0x00000124},
  {"&hearts;", 0x00002661},
  {"&hellip;", 0x00002026},
  {"&hercon;", 0x000022B9},
  {"&hfr;", 0x0001D525},
  {"&Hfr;", 0x0001D50B},
  {"&hoarr;", 0x000021FF},
  {"&homtht;", 0x0000223B},
  {"&Hopf;", 0x0001D53F},
  {"&horbar;", 0x00002015},
  {"&hscr;", 0x0001D4BD},
  {"&Hscr;", 0x0001D4A3},
  {"&hstrok;", 0x00000127},
  {"&Hstrok;", 0x00000126},
  {"&hybull;", 0x00002043},
  {"&hyphen;", 0x00002010},
  {"&iacute;", 0x000000ED},
  {"&Iacute;", 0x000000CD},
  {"&icirc;", 0x000000EE},
  {"&Icirc;", 0x000000CE},
  {"&icy;", 0x00000438},
  {"&Icy;", 0x00000418},
  {"&Idot;", 0x00000130},
  {"&iecy;", 0x00000435},
  {"&IEcy;", 0x00000415},
  {"&iexcl;", 0x000000A1},
  {"&ifr;", 0x0001D526},
  {"&Ifr;", 0x0001D50C},
  {"&igrave;", 0x000000EC},
  {"&Igrave;", 0x000000CC},
  {"&iinfin;", 0x000029DC},
  {"&iiota;", 0x00002129},
  {"&ijlig;", 0x00000133},
  {"&IJlig;", 0x00000132},
  {"&imacr;", 0x0000012B},
  {"&Imacr;", 0x0000012A},
  {"&image;", 0x00002111},
  {"&imath;", 0x00000131},
  {"&imof;", 0x000022B7},
  {"&imped;", 0x0001D543},
  {"&incare;", 0x00002105},
  {"&infin;", 0x0000221E},
  {"&inodot;", 0x00000131},
  {"&int;", 0x0000222B},
  {"&Int;", 0x0000222C},
  {"&intcal;", 0x000022BA},
  {"&intlarhk;", 0x00002A17},
  {"&iocy;", 0x00000451},
  {"&IOcy;", 0x00000401},
  {"&iogon;", 0x0000012F},
  {"&Iogon;", 0x0000012E},
  {"&Iopf;", 0x0001D540},
  {"&iota;", 0x000003B9},
  {"&iprod;", 0x00002A3C},
  {"&iquest;", 0x000000BF},
  {"&iscr;", 0x0001D4BE},
  {"&Iscr;", 0x0001D4A4},
  {"&isin;", 0x00002208},
  {"&isindot;", 0x000022F5},
  {"&isinE;", 0x000022F9},
  {"&isins;", 0x000022F4},
  {"&isinsv;", 0x000022F3},
  {"&isinv;", 0x00002208},
  {"&itilde;", 0x00000129},
  {"&Itilde;", 0x00000128},
  {"&iukcy;", 0x00000456},
  {"&Iukcy;", 0x00000406},
  {"&iuml;", 0x000000EF},
  {"&Iuml;", 0x000000CF},
  {"&jcirc;", 0x00000135},
  {"&Jcirc;", 0x00000134},
  {"&jcy;", 0x00000439},
  {"&Jcy;", 0x00000419},
  {"&jfr;", 0x0001D527},
  {"&Jfr;", 0x0001D50D},
  {"&Jopf;", 0x0001D541},
  {"&jscr;", 0x0001D4BF},
  {"&Jscr;", 0x0001D4A5},
  {"&jsercy;", 0x00000458},
  {"&Jsercy;", 0x00000408},
  {"&jukcy;", 0x00000454},
  {"&Jukcy;", 0x00000404},
  {"&kappa;", 0x000003BA},
  {"&kappav;", 0x000003F0},
  {"&kcedil;", 0x00000137},
  {"&Kcedil;", 0x00000136},
  {"&kcy;", 0x0000043A},
  {"&Kcy;", 0x0000041A},
  {"&kfr;", 0x0001D528},
  {"&Kfr;", 0x0001D50E},
  {"&kgreen;", 0x00000138},
  {"&khcy;", 0x00000445},
  {"&KHcy;", 0x00000425},
  {"&kjcy;", 0x0000045C},
  {"&KJcy;", 0x0000040C},
  {"&Kopf;", 0x0001D542},
  {"&kscr;", 0x0001D4C0},
  {"&Kscr;", 0x0001D4A6},
  {"&lAarr;", 0x000021DA},
  {"&lacute;", 0x0000013A},
  {"&Lacute;", 0x00000139},
  {"&laemptyv;", 0x000029B4},
  {"&lagran;", 0x00002112},
  {"&lambda;", 0x000003BB},
  {"&Lambda;", 0x0000039B},
  {"&lang;", 0x00003008},
  {"&Lang;", 0x0000300A},
  {"&langd;", 0x00002991},
  {"&lap;", 0x00002272},
  {"&laquo;", 0x000000AB},
  {"&larr;", 0x00002190},
  {"&lArr;", 0x000021D0},
  {"&Larr;", 0x0000219E},
  {"&larrbfs;", 0x0000291F},
  {"&larrfs;", 0x0000291D},
  {"&larrhk;", 0x000021A9},
  {"&larrlp;", 0x000021AB},
  {"&larrpl;", 0x00002939},
  {"&larrsim;", 0x00002973},
  {"&larrtl;", 0x000021A2},
  {"&lat;", 0x00002AAB},
  {"&latail;", 0x00002919},
  {"&lAtail;", 0x0000291B},
  {"&late;", 0x00002AAD},
  {"&lbarr;", 0x0000290C},
  {"&lBarr;", 0x0000290E},
  {"&lbbrk;", 0x00003014},
  {"&lbrke;", 0x0000298B},
  {"&lbrksld;", 0x0000298F},
  {"&lbrkslu;", 0x0000298D},
  {"&lcaron;", 0x0000013E},
  {"&Lcaron;", 0x0000013D},
  {"&lcedil;", 0x0000013C},
  {"&Lcedil;", 0x0000013B},
  {"&lceil;", 0x00002308},
  {"&lcub;", 0x0000007B},
  {"&lcy;", 0x0000043B},
  {"&Lcy;", 0x0000041B},
  {"&ldca;", 0x00002936},
  {"&ldquo;", 0x0000201C},
  {"&ldquor;", 0x0000201E},
  {"&ldrdhar;", 0x00002967},
  {"&ldrushar;", 0x0000294B},
  {"&ldsh;", 0x000021B2},
  {"&le;", 0x00002264},
  {"&lE;", 0x00002266},
  {"&leg;", 0x000022DA},
  {"&lEg;", 0x000022DA},
  {"&les;", 0x00002A7D},
  {"&lescc;", 0x00002AA8},
  {"&lesdot;", 0x00002A7F},
  {"&lesdoto;", 0x00002A81},
  {"&lesdotor;", 0x00002A83},
  {"&lesges;", 0x00002A93},
  {"&lfisht;", 0x0000297C},
  {"&lfloor;", 0x0000230A},
  {"&lfr;", 0x0001D529},
  {"&Lfr;", 0x0001D50F},
  {"&lg;", 0x00002276},
  {"&lgE;", 0x00002A91},
  {"&lHar;", 0x00002962},
  {"&lhard;", 0x000021BD},
  {"&lharu;", 0x000021BC},
  {"&lharul;", 0x0000296A},
  {"&lhblk;", 0x00002584},
  {"&ljcy;", 0x00000459},
  {"&LJcy;", 0x00000409},
  {"&Ll;", 0x000022D8},
  {"&llarr;", 0x000021C7},
  {"&llhard;", 0x0000296B},
  {"&lltri;", 0x000025FA},
  {"&lmidot;", 0x00000140},
  {"&Lmidot;", 0x0000013F},
  {"&lmoust;", 0x00002998},
  {"&lnap;", 0x00002A89},
  {"&lne;", 0x00002268},
  {"&lnE;", 0x00002268},
  {"&lnsim;", 0x000022E6},
  {"&loang;", 0x00003018},
  {"&loarr;", 0x000021FD},
  {"&lobrk;", 0x0000301A},
  {"&Lopf;", 0x0001D543},
  {"&loplus;", 0x00002A2D},
  {"&lotimes;", 0x00002A34},
  {"&lowast;", 0x00002217},
  {"&lowbar;", 0x0000005F},
  {"&loz;", 0x000025CA},
  {"&lozf;", 0x000029EB},
  {"&lpar;", 0x00000028},
  {"&lparlt;", 0x00002993},
  {"&lrarr;", 0x000021C6},
  {"&lrhar;", 0x000021CB},
  {"&lrhard;", 0x0000296D},
  {"&lscr;", 0x0001D4C1},
  {"&Lscr;", 0x0001D4A7},
  {"&lsh;", 0x000021B0},
  {"&lsim;", 0x00002272},
  {"&lsime;", 0x00002A8D},
  {"&lsimg;", 0x00002A8F},
  {"&lsqb;", 0x0000005B},
  {"&lsquo;", 0x00002018},
  {"&lsquor;", 0x0000201A},
  {"&lstrok;", 0x00000142},
  {"&Lstrok;", 0x00000141},
  {"&lt;", 0x0000003C},
  {"&Lt;", 0x0000226A},
  {"&ltcc;", 0x00002AA6},
  {"&ltcir;", 0x00002A79},
  {"&ltdot;", 0x000022D6},
  {"&lthree;", 0x000022CB},
  {"&ltimes;", 0x000022C9},
  {"&ltlarr;", 0x00002976},
  {"&ltquest;", 0x00002A7B},
  {"&ltri;", 0x000025C3},
  {"&ltrie;", 0x000022B4},
  {"&ltrif;", 0x000025C2},
  {"&ltrPar;", 0x00002996},
  {"&lurdshar;", 0x0000294A},
  {"&luruhar;", 0x00002966},
  {"&macr;", 0x000000AF},
  {"&male;", 0x00002642},
  {"&malt;", 0x00002720},
  {"&map;", 0x000021A6},
  {"&Map;", 0x00002905},
  {"&marker;", 0x000025AE},
  {"&mcomma;", 0x00002A29},
  {"&mcy;", 0x0000043C},
  {"&Mcy;", 0x0000041C},
  {"&mdash;", 0x00002014},
  {"&mDDot;", 0x0000223A},
  {"&mfr;", 0x0001D52A},
  {"&Mfr;", 0x0001D510},
  {"&mho;", 0x00002127},
  {"&micro;", 0x000000B5},
  {"&mid;", 0x00002223},
  {"&midast;", 0x0000002A},
  {"&midcir;", 0x00002AF0},
  {"&middot;", 0x000000B7},
  {"&minus;", 0x00002212},
  {"&minusb;", 0x0000229F},
  {"&minusd;", 0x00002238},
  {"&minusdu;", 0x00002A2A},
  {"&mlcp;", 0x00002ADB},
  {"&mldr;", 0x00002026},
  {"&mnplus;", 0x00002213},
  {"&models;", 0x000022A7},
  {"&Mopf;", 0x0001D544},
  {"&mscr;", 0x0001D4C2},
  {"&Mscr;", 0x0001D4A8},
  {"&mstpos;", 0x0000223E},
  {"&mu;", 0x000003BC},
  {"&mumap;", 0x000022B8},
  {"&nabla;", 0x00002207},
  {"&nacute;", 0x00000144},
  {"&Nacute;", 0x00000143},
  {"&nap;", 0x00002249},
  {"&napos;", 0x00000149},
  {"&natur;", 0x0000266E},
  {"&nbsp;", 0x000000A0},
  {"&ncap;", 0x00002A43},
  {"&ncaron;", 0x00000148},
  {"&Ncaron;", 0x00000147},
  {"&ncedil;", 0x00000146},
  {"&Ncedil;", 0x00000145},
  {"&ncong;", 0x00002247},
  {"&ncup;", 0x00002A42},
  {"&ncy;", 0x0000043D},
  {"&Ncy;", 0x0000041D},
  {"&ndash;", 0x00002013},
  {"&ne;", 0x00002260},
  {"&nearhk;", 0x00002924},
  {"&nearr;", 0x00002197},
  {"&neArr;", 0x000021D7},
  {"&nequiv;", 0x00002262},
  {"&nesear;", 0x00002928},
  {"&nexist;", 0x00002204},
  {"&nfr;", 0x0001D52B},
  {"&Nfr;", 0x0001D511},
  {"&ngE;", 0x00002271},
  {"&nges;", 0x00002271},
  {"&ngsim;", 0x00002275},
  {"&ngt;", 0x0000226F},
  {"&nharr;", 0x000021AE},
  {"&nhArr;", 0x000021CE},
  {"&nhpar;", 0x00002AF2},
  {"&ni;", 0x0000220B},
  {"&nis;", 0x000022FC},
  {"&nisd;", 0x000022FA},
  {"&niv;", 0x0000220B},
  {"&njcy;", 0x0000045A},
  {"&NJcy;", 0x0000040A},
  {"&nlarr;", 0x0000219A},
  {"&nlArr;", 0x000021CD},
  {"&nldr;", 0x00002025},
  {"&nlE;", 0x00002270},
  {"&nles;", 0x00002270},
  {"&nlsim;", 0x00002274},
  {"&nlt;", 0x0000226E},
  {"&nltri;", 0x000022EA},
  {"&nltrie;", 0x000022EC},
  {"&nmid;", 0x00002224},
  {"&Nopf;", 0x0001D545},
  {"&not;", 0x000000AC},
  {"&Not;", 0x00002AEC},
  {"&notin;", 0x00002209},
  {"&notinvb;", 0x000022F7},
  {"&notinvc;", 0x000022F6},
  {"&notni;", 0x0000220C},
  {"&notniva;", 0x0000220C},
  {"&notnivb;", 0x000022FE},
  {"&notnivc;", 0x000022FD},
  {"&npar;", 0x00002226},
  {"&npolint;", 0x00002A14},
  {"&npr;", 0x00002280},
  {"&nprcue;", 0x000022E0},
  {"&nrarr;", 0x0000219B},
  {"&nrArr;", 0x000021CF},
  {"&nrtri;", 0x000022EB},
  {"&nrtrie;", 0x000022ED},
  {"&nsc;", 0x00002281},
  {"&nsccue;", 0x000022E1},
  {"&nscr;", 0x0001D4C3},
  {"&Nscr;", 0x0001D4A9},
  {"&nsim;", 0x00002241},
  {"&nsime;", 0x00002244},
  {"&nsqsube;", 0x000022E2},
  {"&nsqsupe;", 0x000022E3},
  {"&nsub;", 0x00002284},
  {"&nsube;", 0x00002288},
  {"&nsubE;", 0x00002288},
  {"&nsup;", 0x00002285},
  {"&nsupe;", 0x00002289},
  {"&nsupE;", 0x00002289},
  {"&ntgl;", 0x00002279},
  {"&ntilde;", 0x000000F1},
  {"&Ntilde;", 0x000000D1},
  {"&ntlg;", 0x00002278},
  {"&nu;", 0x000003BD},
  {"&num;", 0x00000023},
  {"&numero;", 0x00002116},
  {"&numsp;", 0x00002007},
  {"&nvdash;", 0x000022AC},
  {"&nvDash;", 0x000022AD},
  {"&nVdash;", 0x000022AE},
  {"&nVDash;", 0x000022AF},
  {"&nvge;", 0x00002271},
  {"&nvgt;", 0x0000226F},
  {"&nvHarr;", 0x000021CE},
  {"&nvinfin;", 0x000029DE},
  {"&nvlArr;", 0x000021CD},
  {"&nvle;", 0x00002270},
  {"&nvlt;", 0x0000226E},
  {"&nvrArr;", 0x000021CF},
  {"&nwarhk;", 0x00002923},
  {"&nwarr;", 0x00002196},
  {"&nwArr;", 0x000021D6},
  {"&nwnear;", 0x00002927},
  {"&oacute;", 0x000000F3},
  {"&Oacute;", 0x000000D3},
  {"&oast;", 0x0000229B},
  {"&ocir;", 0x0000229A},
  {"&ocirc;", 0x000000F4},
  {"&Ocirc;", 0x000000D4},
  {"&ocy;", 0x0000043E},
  {"&Ocy;", 0x0000041E},
  {"&odash;", 0x0000229D},
  {"&odblac;", 0x00000151},
  {"&Odblac;", 0x00000150},
  {"&odiv;", 0x00002A38},
  {"&odot;", 0x00002299},
  {"&odsold;", 0x000029BC},
  {"&oelig;", 0x00000153},
  {"&OElig;", 0x00000152},
  {"&ofcir;", 0x000029BF},
  {"&ofr;", 0x0001D52C},
  {"&Ofr;", 0x0001D512},
  {"&ogon;", 0x000002DB},
  {"&ograve;", 0x000000F2},
  {"&Ograve;", 0x000000D2},
  {"&ogt;", 0x000029C1},
  {"&ohbar;", 0x000029B5},
  {"&ohm;", 0x00002126},
  {"&olarr;", 0x000021BA},
  {"&olcir;", 0x000029BE},
  {"&olcross;", 0x000029BB},
  {"&olt;", 0x000029C0},
  {"&omacr;", 0x0000014D},
  {"&Omacr;", 0x0000014C},
  {"&omega;", 0x000003C9},
  {"&Omega;", 0x000003A9},
  {"&omid;", 0x000029B6},
  {"&ominus;", 0x00002296},
  {"&Oopf;", 0x0001D546},
  {"&opar;", 0x000029B7},
  {"&operp;", 0x000029B9},
  {"&oplus;", 0x00002295},
  {"&or;", 0x00002228},
  {"&Or;", 0x00002A54},
  {"&orarr;", 0x000021BB},
  {"&ord;", 0x00002A5D},
  {"&order;", 0x00002134},
  {"&ordf;", 0x000000AA},
  {"&ordm;", 0x000000BA},
  {"&origof;", 0x000022B6},
  {"&oror;", 0x00002A56},
  {"&orslope;", 0x00002A57},
  {"&orv;", 0x00002A5B},
  {"&oS;", 0x000024C8},
  {"&oscr;", 0x0001D4C4},
  {"&Oscr;", 0x0001D4AA},
  {"&oslash;", 0x000000F8},
  {"&Oslash;", 0x000000D8},
  {"&osol;", 0x00002298},
  {"&otilde;", 0x000000F5},
  {"&Otilde;", 0x000000D5},
  {"&otimes;", 0x00002297},
  {"&Otimes;", 0x00002A37},
  {"&otimesas;", 0x00002A36},
  {"&ouml;", 0x000000F6},
  {"&Ouml;", 0x000000D6},
  {"&ovbar;", 0x0000233D},
  {"&par;", 0x00002225},
  {"&para;", 0x000000B6},
  {"&parsim;", 0x00002AF3},
  {"&part;", 0x00002202},
  {"&pcy;", 0x0000043F},
  {"&Pcy;", 0x0000041F},
  {"&percnt;", 0x00000025},
  {"&period;", 0x0000002E},
  {"&permil;", 0x00002030},
  {"&perp;", 0x000022A5},
  {"&pertenk;", 0x00002031},
  {"&pfr;", 0x0001D52D},
  {"&Pfr;", 0x0001D513},
  {"&phi;", 0x000003C6},
  {"&Phi;", 0x000003A6},
  {"&phiv;", 0x000003D5},
  {"&phmmat;", 0x00002133},
  {"&phone;", 0x0000260E},
  {"&pi;", 0x000003C0},
  {"&Pi;", 0x000003A0},
  {"&piv;", 0x000003D6},
  {"&plankv;", 0x0000210F},
  {"&plus;", 0x0000002B},
  {"&plusacir;", 0x00002A23},
  {"&plusb;", 0x0000229E},
  {"&pluscir;", 0x00002A22},
  {"&plusdo;", 0x00002214},
  {"&plusdu;", 0x00002A25},
  {"&pluse;", 0x00002A72},
  {"&plusmn;", 0x000000B1},
  {"&plussim;", 0x00002A26},
  {"&plustwo;", 0x00002A27},
  {"&pointint;", 0x00002A15},
  {"&Popf;", 0x0001D547},
  {"&pound;", 0x000000A3},
  {"&pr;", 0x0000227A},
  {"&Pr;", 0x00002ABB},
  {"&prap;", 0x0000227E},
  {"&prcue;", 0x0000227C},
  {"&pre;", 0x00002AAF},
  {"&prE;", 0x00002AAF},
  {"&prime;", 0x00002032},
  {"&Prime;", 0x00002033},
  {"&prnap;", 0x000022E8},
  {"&prnE;", 0x00002AB5},
  {"&prnsim;", 0x000022E8},
  {"&prod;", 0x0000220F},
  {"&profalar;", 0x0000232E},
  {"&profline;", 0x00002312},
  {"&profsurf;", 0x00002313},
  {"&prop;", 0x0000221D},
  {"&prsim;", 0x0000227E},
  {"&prurel;", 0x000022B0},
  {"&pscr;", 0x0001D4C5},
  {"&Pscr;", 0x0001D4AB},
  {"&psi;", 0x000003C8},
  {"&Psi;", 0x000003A8},
  {"&puncsp;", 0x00002008},
  {"&qfr;", 0x0001D52E},
  {"&Qfr;", 0x0001D514},
  {"&qint;", 0x00002A0C},
  {"&Qopf;", 0x0001D548},
  {"&qprime;", 0x00002057},
  {"&qscr;", 0x0001D4C6},
  {"&Qscr;", 0x0001D4AC},
  {"&quatint;", 0x00002A16},
  {"&quest;", 0x0000003F},
  {"&quot;", 0x00000022},
  {"&rAarr;", 0x000021DB},
  {"&race;", 0x000029DA},
  {"&racute;", 0x00000155},
  {"&Racute;", 0x00000154},
  {"&radic;", 0x0000221A},
  {"&raemptyv;", 0x000029B3},
  {"&rang;", 0x00003009},
  {"&Rang;", 0x0000300B},
  {"&rangd;", 0x00002992},
  {"&range;", 0x000029A5},
  {"&raquo;", 0x000000BB},
  {"&rarr;", 0x00002192},
  {"&rArr;", 0x000021D2},
  {"&Rarr;", 0x000021A0},
  {"&rarrap;", 0x00002975},
  {"&rarrbfs;", 0x00002920},
  {"&rarrc;", 0x00002933},
  {"&rarrfs;", 0x0000291E},
  {"&rarrhk;", 0x000021AA},
  {"&rarrlp;", 0x000021AC},
  {"&rarrpl;", 0x00002945},
  {"&rarrsim;", 0x00002974},
  {"&rarrtl;", 0x000021A3},
  {"&Rarrtl;", 0x00002916},
  {"&rarrw;", 0x000021DD},
  {"&ratail;", 0x000021A3},
  {"&rAtail;", 0x0000291C},
  {"&ratio;", 0x00002236},
  {"&rbarr;", 0x0000290D},
  {"&rBarr;", 0x0000290F},
  {"&RBarr;", 0x00002910},
  {"&rbbrk;", 0x00003015},
  {"&rbrke;", 0x0000298C},
  {"&rbrksld;", 0x0000298E},
  {"&rbrkslu;", 0x00002990},
  {"&rcaron;", 0x00000159},
  {"&Rcaron;", 0x00000158},
  {"&rcedil;", 0x00000157},
  {"&Rcedil;", 0x00000156},
  {"&rceil;", 0x00002309},
  {"&rcub;", 0x0000007D},
  {"&rcy;", 0x00000440},
  {"&Rcy;", 0x00000420},
  {"&rdca;", 0x00002937},
  {"&rdldhar;", 0x00002969},
  {"&rdquo;", 0x0000201D},
  {"&rdquor;", 0x0000201D},
  {"&rdsh;", 0x000021B3},
  {"&real;", 0x0000211C},
  {"&rect;", 0x000025AD},
  {"&reg;", 0x000000AE},
  {"&rfisht;", 0x0000297D},
  {"&rfloor;", 0x0000230B},
  {"&rfr;", 0x0001D52F},
  {"&Rfr;", 0x0001D515},
  {"&rHar;", 0x00002964},
  {"&rhard;", 0x000021C1},
  {"&rharu;", 0x000021C0},
  {"&rharul;", 0x0000296C},
  {"&rho;", 0x000003C1},
  {"&rhov;", 0x000003F1},
  {"&ring;", 0x000002DA},
  {"&rlarr;", 0x000021C4},
  {"&rlhar;", 0x000021CC},
  {"&rmoust;", 0x00002997},
  {"&rnmid;", 0x00002AEE},
  {"&roang;", 0x00003019},
  {"&roarr;", 0x000021FE},
  {"&robrk;", 0x0000301B},
  {"&Ropf;", 0x0001D549},
  {"&roplus;", 0x00002A2E},
  {"&rotimes;", 0x00002A35},
  {"&rpar;", 0x00000029},
  {"&rpargt;", 0x00002994},
  {"&rppolint;", 0x00002A12},
  {"&rrarr;", 0x000021C9},
  {"&rscr;", 0x0001D4C7},
  {"&Rscr;", 0x0001D4AB},
  {"&rsh;", 0x000021B1},
  {"&rsqb;", 0x0000005D},
  {"&rsquo;", 0x00002019},
  {"&rsquor;", 0x00002019},
  {"&rthree;", 0x000022CC},
  {"&rtimes;", 0x000022CA},
  {"&rtri;", 0x000025B9},
  {"&rtrie;", 0x000022B5},
  {"&rtrif;", 0x000025B8},
  {"&rtriltri;", 0x000029CE},
  {"&ruluhar;", 0x00002968},
  {"&rx;", 0x0000211E},
  {"&sacute;", 0x0000015B},
  {"&Sacute;", 0x0000015A},
  {"&sc;", 0x0000227B},
  {"&Sc;", 0x00002ABC},
  {"&scap;", 0x0000227F},
  {"&scaron;", 0x00000161},
  {"&Scaron;", 0x00000160},
  {"&sccue;", 0x0000227D},
  {"&sce;", 0x0000227D},
  {"&scE;", 0x0000227E},
  {"&scedil;", 0x0000015F},
  {"&Scedil;", 0x0000015E},
  {"&scirc;", 0x0000015D},
  {"&Scirc;", 0x0000015C},
  {"&scnap;", 0x000022E9},
  {"&scnE;", 0x00002AB6},
  {"&scnsim;", 0x000022E9},
  {"&scpolint;", 0x00002A13},
  {"&scsim;", 0x0000227F},
  {"&scy;", 0x00000441},
  {"&Scy;", 0x00000421},
  {"&sdot;", 0x000022C5},
  {"&sdotb;", 0x000022A1},
  {"&sdote;", 0x00002A66},
  {"&searhk;", 0x00002925},
  {"&searr;", 0x00002198},
  {"&seArr;", 0x000021D8},
  {"&sect;", 0x000000A7},
  {"&semi;", 0x0000003B},
  {"&seswar;", 0x00002929},
  {"&setmn;", 0x00002216},
  {"&sext;", 0x00002736},
  {"&sfr;", 0x0001D530},
  {"&Sfr;", 0x0001D516},
  {"&sharp;", 0x0000266F},
  {"&shchcy;", 0x00000449},
  {"&SHCHcy;", 0x00000429},
  {"&shcy;", 0x00000448},
  {"&SHcy;", 0x00000428},
  {"&shy;", 0x000000AD},
  {"&sigma;", 0x000003C3},
  {"&Sigma;", 0x000003A3},
  {"&sigmav;", 0x000003C2},
  {"&sim;", 0x0000223C},
  {"&simdot;", 0x00002A6A},
  {"&sime;", 0x00002243},
  {"&simg;", 0x00002A9E},
  {"&simgE;", 0x00002AA0},
  {"&siml;", 0x00002A9D},
  {"&simlE;", 0x00002A9F},
  {"&simne;", 0x00002246},
  {"&simplus;", 0x00002A24},
  {"&simrarr;", 0x00002972},
  {"&smashp;", 0x00002A33},
  {"&smeparsl;", 0x000029E4},
  {"&smile;", 0x00002323},
  {"&smt;", 0x00002AAA},
  {"&smte;", 0x00002AAC},
  {"&softcy;", 0x0000044C},
  {"&SOFTcy;", 0x0000042C},
  {"&sol;", 0x0000002F},
  {"&solb;", 0x000029C4},
  {"&solbar;", 0x0000233F},
  {"&Sopf;", 0x0001D54A},
  {"&spades;", 0x00002660},
  {"&sqcap;", 0x00002293},
  {"&sqcup;", 0x00002294},
  {"&sqsub;", 0x0000228F},
  {"&sqsube;", 0x00002291},
  {"&sqsup;", 0x00002290},
  {"&sqsupe;", 0x00002292},
  {"&squ;", 0x000025A1},
  {"&square;", 0x000025A1},
  {"&squarf;", 0x000025AA},
  {"&squf;", 0x000025AA},
  {"&sscr;", 0x0001D4C8},
  {"&Sscr;", 0x0001D4AE},
  {"&sstarf;", 0x000022C6},
  {"&star;", 0x000022C6},
  {"&starf;", 0x00002605},
  {"&sub;", 0x00002282},
  {"&Sub;", 0x000022D0},
  {"&subdot;", 0x00002ABD},
  {"&sube;", 0x00002286},
  {"&subE;", 0x00002286},
  {"&subedot;", 0x00002AC3},
  {"&submult;", 0x00002AC1},
  {"&subne;", 0x0000228A},
  {"&subnE;", 0x0000228A},
  {"&subplus;", 0x00002ABF},
  {"&subrarr;", 0x00002979},
  {"&subsim;", 0x00002AC7},
  {"&subsub;", 0x00002AD5},
  {"&subsup;", 0x00002AD3},
  {"&sum;", 0x00002211},
  {"&sung;", 0x0000266A},
  {"&sup;", 0x00002283},
  {"&Sup;", 0x000022D1},
  {"&supdot;", 0x00002ABE},
  {"&supdsub;", 0x00002AD8},
  {"&supe;", 0x00002287},
  {"&supE;", 0x00002287},
  {"&supedot;", 0x00002AC4},
  {"&suphsub;", 0x00002AD7},
  {"&suplarr;", 0x0000297B},
  {"&supmult;", 0x00002AC2},
  {"&supne;", 0x0000228B},
  {"&supnE;", 0x0000228B},
  {"&supplus;", 0x00002AC0},
  {"&supsim;", 0x00002AC8},
  {"&supsub;", 0x00002AD4},
  {"&supsup;", 0x00002AD6},
  {"&swarhk;", 0x00002926},
  {"&swarr;", 0x00002199},
  {"&swArr;", 0x000021D9},
  {"&swnwar;", 0x0000292A},
  {"&szlig;", 0x000000DF},
  {"&target;", 0x00002316},
  {"&tau;", 0x000003C4},
  {"&tbrk;", 0x000023B4},
  {"&tcaron;", 0x00000165},
  {"&Tcaron;", 0x00000164},
  {"&tcedil;", 0x00000163},
  {"&Tcedil;", 0x00000162},
  {"&tcy;", 0x00000442},
  {"&Tcy;", 0x00000422},
  {"&tdot;", 0x000020DB},
  {"&telrec;", 0x00002315},
  {"&tfr;", 0x0001D531},
  {"&Tfr;", 0x0001D517},
  {"&theta;", 0x000003B8},
  {"&Theta;", 0x00000398},
  {"&thetav;", 0x000003D1},
  {"&thinsp;", 0x00002009},
  {"&thorn;", 0x000000FE},
  {"&THORN;", 0x000000DE},
  {"&tilde;", 0x000002DC},
  {"&times;", 0x000000D7},
  {"&timesb;", 0x000022A0},
  {"&timesbar;", 0x00002A31},
  {"&timesd;", 0x00002A30},
  {"&tint;", 0x0000222D},
  {"&top;", 0x000022A4},
  {"&topbot;", 0x00002336},
  {"&topcir;", 0x00002AF1},
  {"&Topf;", 0x0001D54B},
  {"&topfork;", 0x00002ADA},
  {"&tprime;", 0x00002034},
  {"&trade;", 0x00002122},
  {"&tridot;", 0x000025EC},
  {"&trie;", 0x0000225C},
  {"&triminus;", 0x00002A3A},
  {"&triplus;", 0x00002A39},
  {"&trisb;", 0x000029CD},
  {"&tritime;", 0x00002A3B},
  {"&tscr;", 0x0001D4C9},
  {"&Tscr;", 0x0001D4AF},
  {"&tscy;", 0x00000446},
  {"&TScy;", 0x00000426},
  {"&tshcy;", 0x0000045B},
  {"&TSHcy;", 0x0000040B},
  {"&tstrok;", 0x00000167},
  {"&Tstrok;", 0x00000166},
  {"&twixt;", 0x0000226C},
  {"&uacute;", 0x000000FA},
  {"&Uacute;", 0x000000DA},
  {"&uarr;", 0x00002191},
  {"&uArr;", 0x000021D1},
  {"&Uarr;", 0x0000219F},
  {"&Uarrocir;", 0x00002949},
  {"&ubrcy;", 0x0000045E},
  {"&Ubrcy;", 0x0000040E},
  {"&ubreve;", 0x0000016D},
  {"&Ubreve;", 0x0000016C},
  {"&ucirc;", 0x000000FB},
  {"&Ucirc;", 0x000000DB},
  {"&ucy;", 0x00000443},
  {"&Ucy;", 0x00000423},
  {"&udarr;", 0x000021C5},
  {"&udblac;", 0x00000171},
  {"&Udblac;", 0x00000170},
  {"&udhar;", 0x0000296E},
  {"&ufisht;", 0x0000297E},
  {"&ufr;", 0x0001D532},
  {"&Ufr;", 0x0001D518},
  {"&ugrave;", 0x000000F9},
  {"&Ugrave;", 0x000000D9},
  {"&uHar;", 0x00002963},
  {"&uharl;", 0x000021BF},
  {"&uharr;", 0x000021BE},
  {"&uhblk;", 0x00002580},
  {"&ulcorn;", 0x0000231C},
  {"&ulcrop;", 0x0000230F},
  {"&ultri;", 0x000025F8},
  {"&umacr;", 0x0000016B},
  {"&Umacr;", 0x0000016A},
  {"&uml;", 0x000000A8},
  {"&uogon;", 0x00000173},
  {"&Uogon;", 0x00000172},
  {"&Uopf;", 0x0001D54C},
  {"&uplus;", 0x0000228E},
  {"&upsi;", 0x000003C5},
  {"&Upsi;", 0x000003D2},
  {"&urcorn;", 0x0000231D},
  {"&urcrop;", 0x0000230E},
  {"&uring;", 0x0000016F},
  {"&Uring;", 0x0000016E},
  {"&urtri;", 0x000025F9},
  {"&uscr;", 0x0001D4CA},
  {"&Uscr;", 0x0001D4B0},
  {"&utdot;", 0x000022F0},
  {"&utilde;", 0x00000169},
  {"&Utilde;", 0x00000168},
  {"&utri;", 0x000025B5},
  {"&uuarr;", 0x000021C8},
  {"&uuml;", 0x000000FC},
  {"&Uuml;", 0x000000DC},
  {"&uwangle;", 0x000029A7},
  {"&vangrt;", 0x000022BE},
  {"&varr;", 0x00002195},
  {"&vArr;", 0x000021D5},
  {"&vBar;", 0x00002AE8},
  {"&Vbar;", 0x00002AEB},
  {"&vBarv;", 0x00002AE9},
  {"&vcy;", 0x00000432},
  {"&Vcy;", 0x00000412},
  {"&vdash;", 0x000022A2},
  {"&vDash;", 0x000022A8},
  {"&Vdash;", 0x000022A9},
  {"&VDash;", 0x000022AB},
  {"&Vdashl;", 0x00002AE6},
  {"&veebar;", 0x000022BB},
  {"&veeeq;", 0x0000225A},
  {"&vellip;", 0x000022EE},
  {"&verbar;", 0x0000007C},
  {"&Verbar;", 0x00002016},
  {"&vfr;", 0x0001D533},
  {"&Vfr;", 0x0001D519},
  {"&vltri;", 0x000022B2},
  {"&vnsub;", 0x00002284},
  {"&vnsup;", 0x00002285},
  {"&Vopf;", 0x0001D54D},
  {"&vprop;", 0x0000221D},
  {"&vrtri;", 0x000022B3},
  {"&vscr;", 0x0001D4CB},
  {"&Vscr;", 0x0001D4B1},
  {"&Vvdash;", 0x000022AA},
  {"&vzigzag;", 0x0000299A},
  {"&wcirc;", 0x00000175},
  {"&Wcirc;", 0x00000174},
  {"&wedbar;", 0x00002A5F},
  {"&wedgeq;", 0x00002259},
  {"&weierp;", 0x00002118},
  {"&wfr;", 0x0001D534},
  {"&Wfr;", 0x0001D51A},
  {"&Wopf;", 0x0001D54E},
  {"&wreath;", 0x00002240},
  {"&wscr;", 0x0001D4CC},
  {"&Wscr;", 0x0001D4B2},
  {"&xcap;", 0x000022C2},
  {"&xcirc;", 0x000025EF},
  {"&xcup;", 0x000022C3},
  {"&xdtri;", 0x000025BD},
  {"&xfr;", 0x0001D535},
  {"&Xfr;", 0x0001D51B},
  {"&xi;", 0x000003BE},
  {"&Xi;", 0x0000039E},
  {"&xnis;", 0x000022FB},
  {"&xodot;", 0x00002299},
  {"&Xopf;", 0x0001D54F},
  {"&xoplus;", 0x00002295},
  {"&xotime;", 0x00002297},
  {"&xrarr;", 0x00002192},
  {"&xscr;", 0x0001D4CD},
  {"&Xscr;", 0x0001D4B3},
  {"&xsqcup;", 0x00002294},
  {"&xuplus;", 0x0000228E},
  {"&xutri;", 0x000025B3},
  {"&xvee;", 0x000022C1},
  {"&xwedge;", 0x000022C0},
  {"&yacute;", 0x000000FD},
  {"&Yacute;", 0x000000DD},
  {"&yacy;", 0x0000044F},
  {"&YAcy;", 0x0000042F},
  {"&ycirc;", 0x00000177},
  {"&Ycirc;", 0x00000176},
  {"&ycy;", 0x0000044B},
  {"&Ycy;", 0x0000042B},
  {"&yen;", 0x000000A5},
  {"&yfr;", 0x0001D536},
  {"&Yfr;", 0x0001D51C},
  {"&yicy;", 0x00000457},
  {"&YIcy;", 0x00000407},
  {"&Yopf;", 0x0001D550},
  {"&yscr;", 0x0001D4CE},
  {"&Yscr;", 0x0001D4B4},
  {"&yucy;", 0x0000044E},
  {"&YUcy;", 0x0000042E},
  {"&yuml;", 0x000000FF},
  {"&Yuml;", 0x00000178},
  {"&zacute;", 0x0000017A},
  {"&Zacute;", 0x00000179},
  {"&zcaron;", 0x0000017E},
  {"&Zcaron;", 0x0000017D},
  {"&zcy;", 0x00000437},
  {"&Zcy;", 0x00000417},
  {"&zdot;", 0x0000017C},
  {"&Zdot;", 0x0000017B},
  {"&zeta;", 0x000003B6},
  {"&zfr;", 0x0001D537},
  {"&Zfr;", 0x0001D51D},
  {"&zhcy;", 0x00000436},
  {"&ZHcy;", 0x00000416},
  {"&zigrarr;", 0x000021DD},
  {"&Zopf;", 0x0001D551},
  {"&zscr;", 0x0001D4CF},
  {"&Zscr;", 0x0001D4B5},
  {NULL, ENTITY_LIST_TERMINATOR}// List terminator.
};

#endif
