// Clase:    XML_unparsed_ent_info_item
// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:50 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include "XML_unparsed_ent_info_item.h"

/////////////
// XML_unparsed_ent_info_item - Class constructor.
// no arguments.
//public:
XML_unparsed_ent_info_item::XML_unparsed_ent_info_item()
{
  this->name = NULL;
  this->system_identifier = NULL;
  this->public_identifier = NULL;
  this->notation = NULL;
  Type(unparsed_ent_info_item);
}

/////////////
// ~XML_unparsed_ent_info_item - Class destructor.
// no arguments.
//public:
XML_unparsed_ent_info_item::~XML_unparsed_ent_info_item()
{
  if (name)
    {
      delete name;
      name = NULL;
    }
  if (system_identifier)
    {
      delete system_identifier;
      system_identifier = NULL;
    }
  if (public_identifier)
    {
      delete public_identifier;
      public_identifier = NULL;
    }
  if (notation)
    {
      delete notation;
      notation = NULL;
    }
}





/////////////
// Notation - Set [notation] property.
// notation: new value for property. Can be 0.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Notation(XML_notation_info_item_p_t notation)
{
  this->notation = notation;
  
  return this;
}

/////////////
// Notation - Access to [notation] property.
// no arguments.
// returns property value.
//public:
const XML_info_item_p_t XML_unparsed_ent_info_item::Notation()
{
  return (XML_info_item_p_t)(this->notation);
}


using std::ostream;

/////////////
// operator<< - Overloading of << operator.
// output: output c++ stream.
// XML_unparsed_ent_info_item: XML_unparsed_ent_info_item to output.
// returns output stream for operator composition.
//public:
ostream &operator<< (ostream &output, XML_unparsed_ent_info_item_t &xml_unparsed_ent_info_item)
{
  XML_unparsed_ent_info_item::Output(&xml_unparsed_ent_info_item, output);
  return output;
}

/////////////
// operator<< - Overloading of << operator.
// output: output c++ stream.
// XML_unparsed_ent_info_item: XML_unparsed_ent_info_item to output, passed as pointer.
// returns output stream for operator composition.
//public:
ostream &operator<< (ostream &output, XML_unparsed_ent_info_item_p_t xml_unparsed_ent_info_item)
{
  XML_unparsed_ent_info_item::Output(xml_unparsed_ent_info_item, output);
  return output;
}

using std::ostream;
using std::endl;

/////////////
// Output - Write to a stream in XML format.
// item: XML_unparsed_ent_info_item to be output, passed as pointer.
// output: stream which receives data.
// returns true on success, false on fail.
//public:
//static
bool XML_unparsed_ent_info_item::Output(XML_unparsed_ent_info_item_p_t item, ostream &output)
{
  return Output(item, output, 0);
}

/////////////
// Output - Write to a stream in XML format.
// item: XML_unparsed_ent_info_item to be output, passed as pointer.
// output: stream which receives data.
// returns true on success, false on fail.
//public:
//static
bool XML_unparsed_ent_info_item::Output(XML_unparsed_ent_info_item_p_t item, ostream &output, unsigned int indentation)
{
  if (!item || !(&output)) return false;
  
  if (indentation)
    output << endl;
  for (unsigned int count = 0; count < indentation; ++count)
    output << "  ";
  output << "<";
  output << "?xml";
  if (item->Name())
    output << " " << item->Name();
  if (item->Public_identifier())
    {
      output << "\n PUBLIC '"
             << item->Public_identifier()
             << "'";
      if (item->System_identifier())
        output << "\n '"
               << item->System_identifier()
               << "'";
    }
  else if (item->System_identifier())
    output << "\n SYSTEM '"
           << item->System_identifier()
           << "'";
  if (item->Notation())
    output << "\n " << item->Notation();
  output << ">";
  
  return true;
}


using std::vector;


/////////////
// Name - Set [name] property.
// name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Name(XML_string_t &name)
{
  if (!(&name)) return this;
  if (!this->name)
    this->name = new XML_string();
  *(this->name) = name;
  return this;
}

/////////////
// Name - Set [name] property.
// name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Name(XML_string_p_t name)
{
  if (!name)
    {
      if (this->name)
        {
          delete this->name;
          this->name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->name)
    this->name = new XML_string();
  *(this->name) = *name;
  return this;
}

/////////////
// Name - Set [name] property.
// name: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Name(const vector<XML_UCS4_char_t> &name)
{
  if (!(&name)) return this;
  if (!this->name)
    this->name = new XML_string();
  this->name->UCS4(name);
  return this;
}

/////////////
// Name - Set [name] property.
// name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Name(const vector<char> &name)
{
  if (!(&name)) return this;
  if (!this->name)
    this->name = new XML_string();
  this->name->UTF8(name);
  return this;
}

/////////////
// Name - Set [name] property.
// name: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Name(const char* name)
{
  if (!name)
    {
      if (this->name)
        {
          delete this->name;
          this->name = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->name)
    this->name = new XML_string();
  vector<char> name_vector;
  for (unsigned int index = 0; index < strlen(name); ++index)
    name_vector.push_back(name[index]);
  return Name(name_vector);
}

/////////////
// Name - Access to [name] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_unparsed_ent_info_item::Name()
{
  return this->name;
}



using std::vector;


/////////////
// System_identifier - Set [system identifier] property.
// system_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::System_identifier(XML_string_t &system_identifier)
{
  if (!(&system_identifier)) return this;
  if (!this->system_identifier)
    this->system_identifier = new XML_string();
  *(this->system_identifier) = system_identifier;
  return this;
}

/////////////
// System_identifier - Set [system identifier] property.
// system_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::System_identifier(XML_string_p_t system_identifier)
{
  if (!system_identifier)
    {
      if (this->system_identifier)
        {
          delete this->system_identifier;
          this->system_identifier = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->system_identifier)
    this->system_identifier = new XML_string();
  *(this->system_identifier) = *system_identifier;
  return this;
}

/////////////
// System_identifier - Set [system identifier] property.
// system_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::System_identifier(const vector<XML_UCS4_char_t> &system_identifier)
{
  if (!(&system_identifier)) return this;
  if (!this->system_identifier)
    this->system_identifier = new XML_string();
  this->system_identifier->UCS4(system_identifier);
  return this;
}

/////////////
// System_identifier - Set [system identifier] property.
// system_identifier: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::System_identifier(const vector<char> &system_identifier)
{
  if (!(&system_identifier)) return this;
  if (!this->system_identifier)
    this->system_identifier = new XML_string();
  this->system_identifier->UTF8(system_identifier);
  return this;
}

/////////////
// System_identifier - Set [system identifier] property.
// system_identifier: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::System_identifier(const char* system_identifier)
{
  if (!system_identifier)
    {
      if (this->system_identifier)
        {
          delete this->system_identifier;
          this->system_identifier = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->system_identifier)
    this->system_identifier = new XML_string();
  vector<char> system_identifier_vector;
  for (unsigned int index = 0; index < strlen(system_identifier); ++index)
    system_identifier_vector.push_back(system_identifier[index]);
  return System_identifier(system_identifier_vector);
}

/////////////
// System_identifier - Access to [system identifier] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_unparsed_ent_info_item::System_identifier()
{
  return this->system_identifier;
}



using std::vector;


/////////////
// Public_identifier - Set [public identifier] property.
// public_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Public_identifier(XML_string_t &public_identifier)
{
  if (!(&public_identifier)) return this;
  if (!this->public_identifier)
    this->public_identifier = new XML_string();
  *(this->public_identifier) = public_identifier;
  return this;
}

/////////////
// Public_identifier - Set [public identifier] property.
// public_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Public_identifier(XML_string_p_t public_identifier)
{
  if (!public_identifier)
    {
      if (this->public_identifier)
        {
          delete this->public_identifier;
          this->public_identifier = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->public_identifier)
    this->public_identifier = new XML_string();
  *(this->public_identifier) = *public_identifier;
  return this;
}

/////////////
// Public_identifier - Set [public identifier] property.
// public_identifier: new value for property, encoded as UCS4.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Public_identifier(const vector<XML_UCS4_char_t> &public_identifier)
{
  if (!(&public_identifier)) return this;
  if (!this->public_identifier)
    this->public_identifier = new XML_string();
  this->public_identifier->UCS4(public_identifier);
  return this;
}

/////////////
// Public_identifier - Set [public identifier] property.
// public_identifier: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Public_identifier(const vector<char> &public_identifier)
{
  if (!(&public_identifier)) return this;
  if (!this->public_identifier)
    this->public_identifier = new XML_string();
  this->public_identifier->UTF8(public_identifier);
  return this;
}

/////////////
// Public_identifier - Set [public identifier] property.
// public_identifier: new value for property, encoded as UTF8.
// returns object pointer for operator concatenation.
//public:
XML_unparsed_ent_info_item_p_t XML_unparsed_ent_info_item::Public_identifier(const char* public_identifier)
{
  if (!public_identifier)
    {
      if (this->public_identifier)
        {
          delete this->public_identifier;
          this->public_identifier = (XML_string_p_t)NULL;
        }
      return this;
    }
  if (!this->public_identifier)
    this->public_identifier = new XML_string();
  vector<char> public_identifier_vector;
  for (unsigned int index = 0; index < strlen(public_identifier); ++index)
    public_identifier_vector.push_back(public_identifier[index]);
  return Public_identifier(public_identifier_vector);
}

/////////////
// Public_identifier - Access to [public identifier] property.
// no arguments.
// returns property value.
//public:
XML_string_p_t XML_unparsed_ent_info_item::Public_identifier()
{
  return this->public_identifier;
}
