// Proyecto: QMath
// Fecha:    jueves, 17 de diciembre de 2009, 22:56:38 CET
///////////////////////////////////////////////////////////////////////////
//
//   Copyright  2001, 2002, 2005, 2007 Alberto Gonzlez Palomo
//   Author: Alberto Gonzlez Palomo
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
/////////////////////////////////////////////////////////////////////////////


#include <stdio.h>
#include <stdlib.h>

#include "Interface/Interface.h"
#include "OpenMath/OpenMath_object/OpenMath_object.h"
#include "QMath_parser/QMath_parser.h"
#include "QMath_parser/Tokenizer/Tokenizer.h"
#include "QMath_parser/Tokenizer/Unicode_regexp/Unicode_regexp.h"
#include "QMath_parser/Tokenizer/Unicode_regexp/Unicode_regexp_node/Unicode_regexp_node.h"
#include "Unicode_data/Unicode_data.h"
#include "Unicode_translator/Unicode_translator.h"
#include "XML_infoset/XML_ent_start_marker_info_item/XML_ent_start_marker_info_item.h"
#include "XML_infoset/XML_unexp_ent_ref_info_item/XML_unexp_ent_ref_info_item.h"
#include "XML_infoset/XML_info_item/XML_info_item.h"
#include "XML_infoset/XML_doc_info_item/XML_doc_info_item.h"
#include "XML_infoset/XML_string/XML_string.h"
#include "XML_infoset/XML_doc_type_decl_info_item/XML_doc_type_decl_info_item.h"
#include "XML_infoset/XML_comment_info_item/XML_comment_info_item.h"
#include "XML_infoset/XML_character_info_item/XML_character_info_item.h"
#include "XML_infoset/XML_namespace_info_item/XML_namespace_info_item.h"
#include "XML_infoset/XML_external_ent_info_item/XML_external_ent_info_item.h"
#include "XML_infoset/XML_elem_info_item/XML_elem_info_item.h"
#include "XML_infoset/XML_internal_ent_info_item/XML_internal_ent_info_item.h"
#include "XML_infoset/XML_cdata_end_marker_info_item/XML_cdata_end_marker_info_item.h"
#include "XML_infoset/XML_unparsed_ent_info_item/XML_unparsed_ent_info_item.h"
#include "XML_infoset/XML_attr_info_item/XML_attr_info_item.h"
#include "XML_infoset/XML_notation_info_item/XML_notation_info_item.h"
#include "XML_infoset/XML_cdata_start_marker_info_item/XML_cdata_start_marker_info_item.h"
#include "XML_infoset/XML_ent_end_marker_info_item/XML_ent_end_marker_info_item.h"
#include "XML_infoset/XML_proc_inst_info_item/XML_proc_inst_info_item.h"
#include "XML_parser/XML_parser.h"

#include <fstream>
using std::cout;
using std::endl;

int main(int argc, char* argv[])
{
  std::ios::sync_with_stdio(false);
  
  int status;
  status = 0;// Ok.
  std::cerr << "QMath version 1.0rc1 <http://www.matracas.org/qmath>" << endl;
  
  XML_doc_info_item_p_t document;
  QMath_parser_p_t parser;
  
  document = new XML_doc_info_item();
  
  parser = new QMath_parser();
  status = parser->To_XML_doc_info_item(document);
  delete parser;
  
  if (! parser->Embedded_mode()) cout << document << endl;
  // Otherwise, it was an XML document with embedded QMath, and it was
  // already output.
  cout << flush;
  
  return status;
}
